
_cmps_firmware:

;cmps03.h,16 :: 		
;cmps03.h,17 :: 		
	CLRF       cmps_firmware_firmware_L0+0
;cmps03.h,19 :: 		
	MOVLW      50
	MOVWF      SSPADD+0
	CALL       _I2C1_Init+0
;cmps03.h,20 :: 		
	CALL       _I2C1_Start+0
;cmps03.h,21 :: 		
	MOVLW      192
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;cmps03.h,22 :: 		
	CLRF       FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;cmps03.h,23 :: 		
	CALL       _I2C1_Repeated_Start+0
;cmps03.h,24 :: 		
	MOVLW      193
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;cmps03.h,25 :: 		
	CLRF       FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      cmps_firmware_firmware_L0+0
;cmps03.h,26 :: 		
	CALL       _I2C1_Stop+0
;cmps03.h,28 :: 		
	MOVF       cmps_firmware_firmware_L0+0, 0
	MOVWF      R0+0
;cmps03.h,29 :: 		
	RETURN
; end of _cmps_firmware

_cmps_azimuth_b:

;cmps03.h,32 :: 		
;cmps03.h,33 :: 		
	CLRF       cmps_azimuth_b_azimuth_L0+0
;cmps03.h,35 :: 		
	MOVLW      50
	MOVWF      SSPADD+0
	CALL       _I2C1_Init+0
;cmps03.h,36 :: 		
	CALL       _I2C1_Start+0
;cmps03.h,37 :: 		
	MOVLW      192
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;cmps03.h,38 :: 		
	MOVLW      1
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;cmps03.h,39 :: 		
	CALL       _I2C1_Repeated_Start+0
;cmps03.h,40 :: 		
	MOVLW      193
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;cmps03.h,41 :: 		
	CLRF       FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      cmps_azimuth_b_azimuth_L0+0
;cmps03.h,42 :: 		
	CALL       _I2C1_Stop+0
;cmps03.h,44 :: 		
	MOVF       cmps_azimuth_b_azimuth_L0+0, 0
	MOVWF      R0+0
;cmps03.h,45 :: 		
	RETURN
; end of _cmps_azimuth_b

_cmps_azimuth_w:

;cmps03.h,49 :: 		
;cmps03.h,50 :: 		
	CLRF       cmps_azimuth_w_lo_byte_L0+0
	CLRF       cmps_azimuth_w_hi_byte_L0+0
;cmps03.h,54 :: 		
	MOVLW      50
	MOVWF      SSPADD+0
	CALL       _I2C1_Init+0
;cmps03.h,55 :: 		
	CALL       _I2C1_Start+0
;cmps03.h,56 :: 		
	MOVLW      192
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;cmps03.h,57 :: 		
	MOVLW      2
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;cmps03.h,58 :: 		
	CALL       _I2C1_Repeated_Start+0
;cmps03.h,59 :: 		
	MOVLW      193
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;cmps03.h,60 :: 		
	MOVLW      1
	MOVWF      FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      cmps_azimuth_w_hi_byte_L0+0
;cmps03.h,61 :: 		
	CLRF       FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      cmps_azimuth_w_lo_byte_L0+0
;cmps03.h,62 :: 		
	CALL       _I2C1_Stop+0
;cmps03.h,63 :: 		
	MOVF       cmps_azimuth_w_hi_byte_L0+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       cmps_azimuth_w_lo_byte_L0+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
;cmps03.h,65 :: 		
;cmps03.h,66 :: 		
	RETURN
; end of _cmps_azimuth_w

_MotorInit:

;motor.h,27 :: 		
;motor.h,28 :: 		
	MOVF       _MotorInitStatus+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_MotorInit0
;motor.h,29 :: 		
	MOVLW      1
	MOVWF      _MotorInitStatus+0
;motor.h,30 :: 		
	BCF        ANSELH+0, 0
;motor.h,31 :: 		
	BCF        ANSELH+0, 2
;motor.h,32 :: 		
	BCF        TRISB+0, 1
;motor.h,33 :: 		
	BCF        TRISB+0, 2
;motor.h,34 :: 		
	BCF        TRISD+0, 0
;motor.h,35 :: 		
	BCF        TRISD+0, 1
;motor.h,36 :: 		
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      249
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
;motor.h,37 :: 		
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      249
	MOVWF      PR2+0
	CALL       _PWM2_Init+0
;motor.h,38 :: 		
L_MotorInit0:
;motor.h,39 :: 		
	RETURN
; end of _MotorInit

_MotorA_ChangeSpeed:

;motor.h,42 :: 		
;motor.h,43 :: 		
	MOVF       FARG_MotorA_ChangeSpeed_NewSpeed+0, 0
	XORWF      _MotorA_Speed+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_MotorA_ChangeSpeed1
;motor.h,44 :: 		
	MOVF       FARG_MotorA_ChangeSpeed_NewSpeed+0, 0
	MOVWF      _MotorA_Speed+0
;motor.h,45 :: 		
	MOVF       FARG_MotorA_ChangeSpeed_NewSpeed+0, 0
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;motor.h,46 :: 		
L_MotorA_ChangeSpeed1:
;motor.h,47 :: 		
	RETURN
; end of _MotorA_ChangeSpeed

_MotorB_ChangeSpeed:

;motor.h,49 :: 		
;motor.h,50 :: 		
	MOVF       FARG_MotorB_ChangeSpeed_NewSpeed+0, 0
	XORWF      _MotorB_Speed+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_MotorB_ChangeSpeed2
;motor.h,51 :: 		
	MOVF       FARG_MotorB_ChangeSpeed_NewSpeed+0, 0
	MOVWF      _MotorB_Speed+0
;motor.h,52 :: 		
	MOVF       FARG_MotorB_ChangeSpeed_NewSpeed+0, 0
	MOVWF      FARG_PWM2_Set_Duty_new_duty+0
	CALL       _PWM2_Set_Duty+0
;motor.h,53 :: 		
L_MotorB_ChangeSpeed2:
;motor.h,54 :: 		
	RETURN
; end of _MotorB_ChangeSpeed

_MotorA_FWD:

;motor.h,57 :: 		
;motor.h,58 :: 		
	CALL       _PWM1_Start+0
;motor.h,59 :: 		
	BCF        PORTD+0, 0
;motor.h,60 :: 		
	BSF        PORTD+0, 1
;motor.h,61 :: 		
	MOVLW      1
	MOVWF      _MotorA_Status+0
;motor.h,62 :: 		
	RETURN
; end of _MotorA_FWD

_MotorB_FWD:

;motor.h,65 :: 		
;motor.h,66 :: 		
	CALL       _PWM2_Start+0
;motor.h,67 :: 		
	BCF        PORTB+0, 1
;motor.h,68 :: 		
	BSF        PORTB+0, 2
;motor.h,69 :: 		
	MOVLW      1
	MOVWF      _MotorB_Status+0
;motor.h,70 :: 		
	RETURN
; end of _MotorB_FWD

_MotorA_BWD:

;motor.h,73 :: 		
;motor.h,74 :: 		
	CALL       _PWM1_Start+0
;motor.h,75 :: 		
	BSF        PORTD+0, 0
;motor.h,76 :: 		
	BCF        PORTD+0, 1
;motor.h,77 :: 		
	MOVLW      2
	MOVWF      _MotorA_Status+0
;motor.h,78 :: 		
	RETURN
; end of _MotorA_BWD

_MotorB_BWD:

;motor.h,81 :: 		
;motor.h,82 :: 		
	CALL       _PWM2_Start+0
;motor.h,83 :: 		
	BSF        PORTB+0, 1
;motor.h,84 :: 		
	BCF        PORTB+0, 2
;motor.h,85 :: 		
	MOVLW      2
	MOVWF      _MotorB_Status+0
;motor.h,86 :: 		
	RETURN
; end of _MotorB_BWD

_MotorA_Stop:

;motor.h,89 :: 		
;motor.h,90 :: 		
	CALL       _PWM1_Stop+0
;motor.h,91 :: 		
	BCF        PORTD+0, 0
;motor.h,92 :: 		
	BCF        PORTD+0, 1
;motor.h,93 :: 		
	CLRF       _MotorA_Status+0
;motor.h,94 :: 		
	RETURN
; end of _MotorA_Stop

_MotorB_Stop:

;motor.h,97 :: 		
;motor.h,98 :: 		
	CALL       _PWM2_Stop+0
;motor.h,99 :: 		
	BCF        PORTB+0, 1
;motor.h,100 :: 		
	BCF        PORTB+0, 2
;motor.h,101 :: 		
	CLRF       _MotorB_Status+0
;motor.h,102 :: 		
	RETURN
; end of _MotorB_Stop

_Forward:

;motor.h,105 :: 		
;motor.h,106 :: 		
	CALL       _MotorInit+0
;motor.h,107 :: 		
	MOVF       FARG_Forward_MotorA_Speed+0, 0
	MOVWF      FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;motor.h,108 :: 		
	MOVF       FARG_Forward_MotorB_Speed+0, 0
	MOVWF      FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;motor.h,109 :: 		
	CALL       _MotorA_FWD+0
;motor.h,110 :: 		
	CALL       _MotorB_FWD+0
;motor.h,111 :: 		
	RETURN
; end of _Forward

_Backward:

;motor.h,114 :: 		
;motor.h,115 :: 		
	CALL       _MotorInit+0
;motor.h,116 :: 		
	MOVF       FARG_Backward_MotorA_Speed+0, 0
	MOVWF      FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;motor.h,117 :: 		
	MOVF       FARG_Backward_MotorB_Speed+0, 0
	MOVWF      FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;motor.h,118 :: 		
	CALL       _MotorA_BWD+0
;motor.h,119 :: 		
	CALL       _MotorB_BWD+0
;motor.h,120 :: 		
	RETURN
; end of _Backward

_SwingRight:

;motor.h,123 :: 		
;motor.h,124 :: 		
	CALL       _MotorInit+0
;motor.h,125 :: 		
	MOVF       FARG_SwingRight_MotorA_Speed+0, 0
	MOVWF      FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;motor.h,126 :: 		
	MOVF       FARG_SwingRight_MotorB_Speed+0, 0
	MOVWF      FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;motor.h,127 :: 		
	CALL       _MotorA_FWD+0
;motor.h,128 :: 		
	CALL       _MotorB_BWD+0
;motor.h,129 :: 		
	RETURN
; end of _SwingRight

_SwingLeft:

;motor.h,132 :: 		
;motor.h,133 :: 		
	CALL       _MotorInit+0
;motor.h,134 :: 		
	MOVF       FARG_SwingLeft_MotorA_Speed+0, 0
	MOVWF      FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;motor.h,135 :: 		
	MOVF       FARG_SwingLeft_MotorB_Speed+0, 0
	MOVWF      FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;motor.h,136 :: 		
	CALL       _MotorA_BWD+0
;motor.h,137 :: 		
	CALL       _MotorB_FWD+0
;motor.h,138 :: 		
	RETURN
; end of _SwingLeft

_Stop:

;motor.h,141 :: 		
;motor.h,142 :: 		
	CLRF       FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;motor.h,143 :: 		
	CLRF       FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;motor.h,144 :: 		
	CALL       _MotorA_Stop+0
;motor.h,145 :: 		
	CALL       _MotorB_Stop+0
;motor.h,146 :: 		
	CLRF       _MotorInitStatus+0
;motor.h,147 :: 		
	RETURN
; end of _Stop

_Select_ADC_Channel:

;RBC.c,123 :: 		void Select_ADC_Channel (unsigned char channel) {
;RBC.c,124 :: 		switch (channel) {
	GOTO       L_Select_ADC_Channel3
;RBC.c,125 :: 		case 2:                      //  RA2/AN2
L_Select_ADC_Channel5:
;RBC.c,126 :: 		ADCON0.CHS3  = 0;
	BCF        ADCON0+0, 5
;RBC.c,127 :: 		ADCON0.CHS2  = 0;
	BCF        ADCON0+0, 4
;RBC.c,128 :: 		ADCON0.CHS1  = 1;
	BSF        ADCON0+0, 3
;RBC.c,129 :: 		ADCON0.CHS0  = 0;
	BCF        ADCON0+0, 2
;RBC.c,130 :: 		break;
	GOTO       L_Select_ADC_Channel4
;RBC.c,131 :: 		case 1:                      //  RA1/AN1
L_Select_ADC_Channel6:
;RBC.c,132 :: 		ADCON0.CHS3  = 0;
	BCF        ADCON0+0, 5
;RBC.c,133 :: 		ADCON0.CHS2  = 0;
	BCF        ADCON0+0, 4
;RBC.c,134 :: 		ADCON0.CHS1  = 0;
	BCF        ADCON0+0, 3
;RBC.c,135 :: 		ADCON0.CHS0  = 1;
	BSF        ADCON0+0, 2
;RBC.c,136 :: 		break;
	GOTO       L_Select_ADC_Channel4
;RBC.c,137 :: 		case 0:                       //  RA0/AN0
L_Select_ADC_Channel7:
;RBC.c,138 :: 		default:
L_Select_ADC_Channel8:
;RBC.c,139 :: 		ADCON0.CHS3  = 0;
	BCF        ADCON0+0, 5
;RBC.c,140 :: 		ADCON0.CHS2  = 0;
	BCF        ADCON0+0, 4
;RBC.c,141 :: 		ADCON0.CHS1  = 0;
	BCF        ADCON0+0, 3
;RBC.c,142 :: 		ADCON0.CHS0  = 0;
	BCF        ADCON0+0, 2
;RBC.c,143 :: 		break;
	GOTO       L_Select_ADC_Channel4
;RBC.c,144 :: 		}
L_Select_ADC_Channel3:
	MOVF       FARG_Select_ADC_Channel_channel+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_Select_ADC_Channel5
	MOVF       FARG_Select_ADC_Channel_channel+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_Select_ADC_Channel6
	MOVF       FARG_Select_ADC_Channel_channel+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_Select_ADC_Channel7
	GOTO       L_Select_ADC_Channel8
L_Select_ADC_Channel4:
;RBC.c,145 :: 		}
	RETURN
; end of _Select_ADC_Channel

_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;RBC.c,148 :: 		void interrupt (void) {
;RBC.c,151 :: 		if (INTCON.T0IF) {                              //     TMR0
	BTFSS      INTCON+0, 2
	GOTO       L_interrupt9
;RBC.c,152 :: 		RTC++;
	MOVF       _RTC+0, 0
	ADDLW      1
	MOVWF      R0+0
	MOVLW      0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      _RTC+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _RTC+0
	MOVF       R0+1, 0
	MOVWF      _RTC+1
;RBC.c,153 :: 		if ((RTC % 512) == 0) {
	MOVLW      255
	ANDWF      _RTC+0, 0
	MOVWF      R1+0
	MOVF       _RTC+1, 0
	ANDLW      1
	MOVWF      R1+1
	MOVLW      0
	XORWF      R1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt243
	MOVLW      0
	XORWF      R1+0, 0
L__interrupt243:
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt10
;RBC.c,154 :: 		RB3_status = ~RB3_status;                 //  512   RB3,    
	COMF       _RB3_status+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _RB3_status+0
;RBC.c,155 :: 		PORTB.RB3  = RB3_status;                  // Proteus,    PORTB ^= (1 << 3)
	BTFSC      R0+0, 0
	GOTO       L__interrupt244
	BCF        PORTB+0, 3
	GOTO       L__interrupt245
L__interrupt244:
	BSF        PORTB+0, 3
L__interrupt245:
;RBC.c,156 :: 		}
L_interrupt10:
;RBC.c,157 :: 		if ((RTC % 1024) == 0) {
	MOVLW      255
	ANDWF      _RTC+0, 0
	MOVWF      R1+0
	MOVF       _RTC+1, 0
	ANDLW      3
	MOVWF      R1+1
	MOVLW      0
	XORWF      R1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt246
	MOVLW      0
	XORWF      R1+0, 0
L__interrupt246:
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt11
;RBC.c,158 :: 		sec++;
	INCF       _sec+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _sec+0
;RBC.c,159 :: 		OneSecondFlag = 1;
	MOVLW      1
	MOVWF      _OneSecondFlag+0
;RBC.c,160 :: 		}
L_interrupt11:
;RBC.c,161 :: 		switch (ADCStateFlag) {                      //    ( )
	GOTO       L_interrupt12
;RBC.c,162 :: 		case 0:                                     //       
L_interrupt14:
;RBC.c,163 :: 		ADC_RTC = 0;
	CLRF       _ADC_RTC+0
	CLRF       _ADC_RTC+1
;RBC.c,164 :: 		break;
	GOTO       L_interrupt13
;RBC.c,165 :: 		case 1:                                     //   20    
L_interrupt15:
;RBC.c,166 :: 		ADC_RTC++;                             //  
	MOVF       _ADC_RTC+0, 0
	ADDLW      1
	MOVWF      R0+0
	MOVLW      0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      _ADC_RTC+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _ADC_RTC+0
	MOVF       R0+1, 0
	MOVWF      _ADC_RTC+1
;RBC.c,167 :: 		if (ADC_RTC > 20) {
	MOVF       _ADC_RTC+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt247
	MOVF       _ADC_RTC+0, 0
	SUBLW      20
L__interrupt247:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt16
;RBC.c,168 :: 		ADCStateFlag = 2;
	MOVLW      2
	MOVWF      _ADCStateFlag+0
;RBC.c,169 :: 		}
L_interrupt16:
;RBC.c,170 :: 		break;
	GOTO       L_interrupt13
;RBC.c,171 :: 		case 2:                                     //   ,     
L_interrupt17:
;RBC.c,172 :: 		ADCON0.GO_DONE = 1;
	BSF        ADCON0+0, 1
;RBC.c,173 :: 		ADCStateFlag = 0;
	CLRF       _ADCStateFlag+0
;RBC.c,174 :: 		break;
	GOTO       L_interrupt13
;RBC.c,175 :: 		}
L_interrupt12:
	MOVF       _ADCStateFlag+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt14
	MOVF       _ADCStateFlag+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt15
	MOVF       _ADCStateFlag+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt17
L_interrupt13:
;RBC.c,176 :: 		if (odoStabStatus == 1) {                    //  25     
	MOVF       _odoStabStatus+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt18
;RBC.c,177 :: 		odoStabCounter++;
	INCF       _odoStabCounter+0, 1
;RBC.c,178 :: 		if (odoStabCounter == 25) {
	MOVF       _odoStabCounter+0, 0
	XORLW      25
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt19
;RBC.c,179 :: 		odoStabStatus = 2;
	MOVLW      2
	MOVWF      _odoStabStatus+0
;RBC.c,180 :: 		}
L_interrupt19:
;RBC.c,181 :: 		}
L_interrupt18:
;RBC.c,182 :: 		if (servoPosEnbl == 1) {
	MOVF       _servoPosEnbl+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt20
;RBC.c,183 :: 		servoPosCnt++;
	INCF       _servoPosCnt+0, 1
;RBC.c,184 :: 		if (servoPosCnt >= 100) {
	MOVLW      100
	SUBWF      _servoPosCnt+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_interrupt21
;RBC.c,185 :: 		PIE1.TMR1IE = DISABLE;
	BCF        PIE1+0, 0
;RBC.c,187 :: 		}
L_interrupt21:
;RBC.c,188 :: 		}
L_interrupt20:
;RBC.c,189 :: 		INTCON.T0IF = 0;                             //   
	BCF        INTCON+0, 2
;RBC.c,190 :: 		TMR0 = TMR0_PRESET;                          //     
	MOVLW      94
	MOVWF      TMR0+0
;RBC.c,191 :: 		}
L_interrupt9:
;RBC.c,193 :: 		if (PIR1.TMR1IF && PIE1.TMR1IE) {               //     TMR1
	BTFSS      PIR1+0, 0
	GOTO       L_interrupt24
	BTFSS      PIE1+0, 0
	GOTO       L_interrupt24
L__interrupt234:
;RBC.c,194 :: 		servoRTC0++;
	INCF       _servoRTC0+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _servoRTC0+0
;RBC.c,195 :: 		servoRTC1++;
	INCF       _servoRTC1+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _servoRTC1+0
;RBC.c,196 :: 		switch (servoPhs0) {
	GOTO       L_interrupt25
;RBC.c,197 :: 		case 1:
L_interrupt27:
;RBC.c,198 :: 		PORTB.RB4   = ON;
	BSF        PORTB+0, 4
;RBC.c,199 :: 		servoRTC0 = 0;
	CLRF       _servoRTC0+0
;RBC.c,200 :: 		servoPhs0 = 2;
	MOVLW      2
	MOVWF      _servoPhs0+0
;RBC.c,201 :: 		break;
	GOTO       L_interrupt26
;RBC.c,202 :: 		case 2:
L_interrupt28:
;RBC.c,203 :: 		if (servoRTC0 == servoPos0) {
	MOVF       _servoRTC0+0, 0
	XORWF      _servoPos0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt29
;RBC.c,204 :: 		servoPhs0 = 3;
	MOVLW      3
	MOVWF      _servoPhs0+0
;RBC.c,205 :: 		}
L_interrupt29:
;RBC.c,206 :: 		break;
	GOTO       L_interrupt26
;RBC.c,207 :: 		case 3:
L_interrupt30:
;RBC.c,208 :: 		PORTB.RB4   = OFF;
	BCF        PORTB+0, 4
;RBC.c,209 :: 		servoRTC0 = 0;
	CLRF       _servoRTC0+0
;RBC.c,210 :: 		servoPhs0 = 4;
	MOVLW      4
	MOVWF      _servoPhs0+0
;RBC.c,211 :: 		break;
	GOTO       L_interrupt26
;RBC.c,212 :: 		case 4:
L_interrupt31:
;RBC.c,213 :: 		if (servoRTC0 == 165) {
	MOVF       _servoRTC0+0, 0
	XORLW      165
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt32
;RBC.c,214 :: 		servoPhs0 = 1;
	MOVLW      1
	MOVWF      _servoPhs0+0
;RBC.c,215 :: 		}
L_interrupt32:
;RBC.c,216 :: 		break;
	GOTO       L_interrupt26
;RBC.c,217 :: 		}
L_interrupt25:
	MOVF       _servoPhs0+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt27
	MOVF       _servoPhs0+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt28
	MOVF       _servoPhs0+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt30
	MOVF       _servoPhs0+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt31
L_interrupt26:
;RBC.c,218 :: 		switch (servoPhs1) {
	GOTO       L_interrupt33
;RBC.c,219 :: 		case 1:
L_interrupt35:
;RBC.c,220 :: 		PORTB.RB5   = ON;
	BSF        PORTB+0, 5
;RBC.c,221 :: 		servoRTC1 = 0;
	CLRF       _servoRTC1+0
;RBC.c,222 :: 		servoPhs1 = 2;
	MOVLW      2
	MOVWF      _servoPhs1+0
;RBC.c,223 :: 		break;
	GOTO       L_interrupt34
;RBC.c,224 :: 		case 2:
L_interrupt36:
;RBC.c,225 :: 		if (servoRTC1 == servoPos1) {
	MOVF       _servoRTC1+0, 0
	XORWF      _servoPos1+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt37
;RBC.c,226 :: 		servoPhs1 = 3;
	MOVLW      3
	MOVWF      _servoPhs1+0
;RBC.c,227 :: 		}
L_interrupt37:
;RBC.c,228 :: 		break;
	GOTO       L_interrupt34
;RBC.c,229 :: 		case 3:
L_interrupt38:
;RBC.c,230 :: 		PORTB.RB5   = OFF;
	BCF        PORTB+0, 5
;RBC.c,231 :: 		servoRTC1 = 0;
	CLRF       _servoRTC1+0
;RBC.c,232 :: 		servoPhs1 = 4;
	MOVLW      4
	MOVWF      _servoPhs1+0
;RBC.c,233 :: 		break;
	GOTO       L_interrupt34
;RBC.c,234 :: 		case 4:
L_interrupt39:
;RBC.c,235 :: 		if (servoRTC1 == 165) {
	MOVF       _servoRTC1+0, 0
	XORLW      165
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt40
;RBC.c,236 :: 		servoPhs1 = 1;
	MOVLW      1
	MOVWF      _servoPhs1+0
;RBC.c,237 :: 		}
L_interrupt40:
;RBC.c,238 :: 		break;
	GOTO       L_interrupt34
;RBC.c,239 :: 		}
L_interrupt33:
	MOVF       _servoPhs1+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt35
	MOVF       _servoPhs1+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt36
	MOVF       _servoPhs1+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt38
	MOVF       _servoPhs1+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt39
L_interrupt34:
;RBC.c,240 :: 		TMR1H = TMR1H_PRESET;
	MOVLW      254
	MOVWF      TMR1H+0
;RBC.c,241 :: 		TMR1L = TMR1L_PRESET;
	MOVLW      12
	MOVWF      TMR1L+0
;RBC.c,242 :: 		PIR1.TMR1IF = 0;
	BCF        PIR1+0, 0
;RBC.c,243 :: 		}
L_interrupt24:
;RBC.c,245 :: 		if (PIR1.RCIF && PIE1.RCIE) {                   //    
	BTFSS      PIR1+0, 5
	GOTO       L_interrupt43
	BTFSS      PIE1+0, 5
	GOTO       L_interrupt43
L__interrupt233:
;RBC.c,246 :: 		if (RCSTA.FERR) {                            //    ,
	BTFSS      RCSTA+0, 2
	GOTO       L_interrupt44
;RBC.c,247 :: 		RCSTA.SPEN = 0;                             //      
	BCF        RCSTA+0, 7
;RBC.c,248 :: 		RCSTA.SPEN = 1;                             // (     FERR   12.1.2.4 )
	BSF        RCSTA+0, 7
;RBC.c,249 :: 		ERR.RX_FERR = 1;
	BSF        _ERR+0, 0
;RBC.c,250 :: 		}
L_interrupt44:
;RBC.c,252 :: 		temp = RCREG;                                //     
	MOVF       RCREG+0, 0
	MOVWF      interrupt_temp_L0+0
;RBC.c,254 :: 		if (RCSTA.OERR) {                            //     , 
	BTFSS      RCSTA+0, 1
	GOTO       L_interrupt45
;RBC.c,255 :: 		RCSTA.CREN = 0;                             //     .
	BCF        RCSTA+0, 4
;RBC.c,256 :: 		RCSTA.CREN = 1;
	BSF        RCSTA+0, 4
;RBC.c,257 :: 		ERR.RX_OERR = 1;
	BSF        _ERR+0, 1
;RBC.c,258 :: 		}
L_interrupt45:
;RBC.c,260 :: 		switch (temp) {
	GOTO       L_interrupt46
;RBC.c,261 :: 		case 'w':
L_interrupt48:
;RBC.c,262 :: 		case 'W':
L_interrupt49:
;RBC.c,263 :: 		IncomingCommand = 'W';
	MOVLW      87
	MOVWF      _IncomingCommand+0
;RBC.c,264 :: 		break;
	GOTO       L_interrupt47
;RBC.c,265 :: 		case 'a':
L_interrupt50:
;RBC.c,266 :: 		case 'A':
L_interrupt51:
;RBC.c,267 :: 		IncomingCommand = 'A';
	MOVLW      65
	MOVWF      _IncomingCommand+0
;RBC.c,268 :: 		break;
	GOTO       L_interrupt47
;RBC.c,269 :: 		case 's':
L_interrupt52:
;RBC.c,270 :: 		case 'S':
L_interrupt53:
;RBC.c,271 :: 		IncomingCommand = 'S';
	MOVLW      83
	MOVWF      _IncomingCommand+0
;RBC.c,272 :: 		break;
	GOTO       L_interrupt47
;RBC.c,273 :: 		case 'd':
L_interrupt54:
;RBC.c,274 :: 		case 'D':
L_interrupt55:
;RBC.c,275 :: 		IncomingCommand = 'D';
	MOVLW      68
	MOVWF      _IncomingCommand+0
;RBC.c,276 :: 		break;
	GOTO       L_interrupt47
;RBC.c,277 :: 		case 'x':
L_interrupt56:
;RBC.c,278 :: 		case 'X':
L_interrupt57:
;RBC.c,279 :: 		IncomingCommand = 'X';
	MOVLW      88
	MOVWF      _IncomingCommand+0
;RBC.c,280 :: 		PORTD.RD0 = 0;
	BCF        PORTD+0, 0
;RBC.c,281 :: 		PORTD.RD1 = 0;
	BCF        PORTD+0, 1
;RBC.c,282 :: 		PORTB.RB1 = 0;
	BCF        PORTB+0, 1
;RBC.c,283 :: 		PORTB.RB2 = 0;
	BCF        PORTB+0, 2
;RBC.c,284 :: 		break;
	GOTO       L_interrupt47
;RBC.c,285 :: 		case 'q':
L_interrupt58:
;RBC.c,286 :: 		case 'Q':
L_interrupt59:
;RBC.c,287 :: 		IncomingCommand = 'Q';
	MOVLW      81
	MOVWF      _IncomingCommand+0
;RBC.c,288 :: 		break;
	GOTO       L_interrupt47
;RBC.c,289 :: 		case 'e':
L_interrupt60:
;RBC.c,290 :: 		case 'E':
L_interrupt61:
;RBC.c,291 :: 		IncomingCommand = 'E';
	MOVLW      69
	MOVWF      _IncomingCommand+0
;RBC.c,292 :: 		break;
	GOTO       L_interrupt47
;RBC.c,293 :: 		case 'o':
L_interrupt62:
;RBC.c,294 :: 		case 'O':
L_interrupt63:
;RBC.c,295 :: 		IncomingCommand = 'O';
	MOVLW      79
	MOVWF      _IncomingCommand+0
;RBC.c,296 :: 		break;
	GOTO       L_interrupt47
;RBC.c,297 :: 		case 'p':
L_interrupt64:
;RBC.c,298 :: 		case 'P':
L_interrupt65:
;RBC.c,299 :: 		IncomingCommand = 'P';
	MOVLW      80
	MOVWF      _IncomingCommand+0
;RBC.c,300 :: 		break;
	GOTO       L_interrupt47
;RBC.c,301 :: 		case 'l':
L_interrupt66:
;RBC.c,302 :: 		case 'L':
L_interrupt67:
;RBC.c,303 :: 		IncomingCommand = 'L';
	MOVLW      76
	MOVWF      _IncomingCommand+0
;RBC.c,304 :: 		break;
	GOTO       L_interrupt47
;RBC.c,305 :: 		case 'j':
L_interrupt68:
;RBC.c,306 :: 		case 'J':
L_interrupt69:
;RBC.c,307 :: 		IncomingCommand = 'J';
	MOVLW      74
	MOVWF      _IncomingCommand+0
;RBC.c,308 :: 		break;
	GOTO       L_interrupt47
;RBC.c,309 :: 		case 'k':
L_interrupt70:
;RBC.c,310 :: 		case 'K':
L_interrupt71:
;RBC.c,311 :: 		IncomingCommand = 'K';
	MOVLW      75
	MOVWF      _IncomingCommand+0
;RBC.c,312 :: 		break;
	GOTO       L_interrupt47
;RBC.c,313 :: 		case 'n':
L_interrupt72:
;RBC.c,314 :: 		case 'N':
L_interrupt73:
;RBC.c,315 :: 		IncomingCommand = 'N';
	MOVLW      78
	MOVWF      _IncomingCommand+0
;RBC.c,316 :: 		break;
	GOTO       L_interrupt47
;RBC.c,317 :: 		case 'm':
L_interrupt74:
;RBC.c,318 :: 		case 'M':
L_interrupt75:
;RBC.c,319 :: 		IncomingCommand = 'M';
	MOVLW      77
	MOVWF      _IncomingCommand+0
;RBC.c,320 :: 		break;
	GOTO       L_interrupt47
;RBC.c,321 :: 		default:
L_interrupt76:
;RBC.c,322 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,323 :: 		CmdOut = "!";
	MOVLW      ?lstr6_RBC+0
	MOVWF      _CmdOut+0
;RBC.c,324 :: 		break;
	GOTO       L_interrupt47
;RBC.c,325 :: 		}
L_interrupt46:
	MOVF       interrupt_temp_L0+0, 0
	XORLW      119
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt48
	MOVF       interrupt_temp_L0+0, 0
	XORLW      87
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt49
	MOVF       interrupt_temp_L0+0, 0
	XORLW      97
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt50
	MOVF       interrupt_temp_L0+0, 0
	XORLW      65
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt51
	MOVF       interrupt_temp_L0+0, 0
	XORLW      115
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt52
	MOVF       interrupt_temp_L0+0, 0
	XORLW      83
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt53
	MOVF       interrupt_temp_L0+0, 0
	XORLW      100
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt54
	MOVF       interrupt_temp_L0+0, 0
	XORLW      68
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt55
	MOVF       interrupt_temp_L0+0, 0
	XORLW      120
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt56
	MOVF       interrupt_temp_L0+0, 0
	XORLW      88
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt57
	MOVF       interrupt_temp_L0+0, 0
	XORLW      113
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt58
	MOVF       interrupt_temp_L0+0, 0
	XORLW      81
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt59
	MOVF       interrupt_temp_L0+0, 0
	XORLW      101
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt60
	MOVF       interrupt_temp_L0+0, 0
	XORLW      69
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt61
	MOVF       interrupt_temp_L0+0, 0
	XORLW      111
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt62
	MOVF       interrupt_temp_L0+0, 0
	XORLW      79
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt63
	MOVF       interrupt_temp_L0+0, 0
	XORLW      112
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt64
	MOVF       interrupt_temp_L0+0, 0
	XORLW      80
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt65
	MOVF       interrupt_temp_L0+0, 0
	XORLW      108
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt66
	MOVF       interrupt_temp_L0+0, 0
	XORLW      76
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt67
	MOVF       interrupt_temp_L0+0, 0
	XORLW      106
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt68
	MOVF       interrupt_temp_L0+0, 0
	XORLW      74
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt69
	MOVF       interrupt_temp_L0+0, 0
	XORLW      107
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt70
	MOVF       interrupt_temp_L0+0, 0
	XORLW      75
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt71
	MOVF       interrupt_temp_L0+0, 0
	XORLW      110
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt72
	MOVF       interrupt_temp_L0+0, 0
	XORLW      78
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt73
	MOVF       interrupt_temp_L0+0, 0
	XORLW      109
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt74
	MOVF       interrupt_temp_L0+0, 0
	XORLW      77
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt75
	GOTO       L_interrupt76
L_interrupt47:
;RBC.c,326 :: 		}
L_interrupt43:
;RBC.c,328 :: 		if (PIR1.ADIF) {                                //     
	BTFSS      PIR1+0, 6
	GOTO       L_interrupt77
;RBC.c,329 :: 		PIR1.ADIF = 0;
	BCF        PIR1+0, 6
;RBC.c,330 :: 		switch (CurrentADCPort) {
	GOTO       L_interrupt78
;RBC.c,331 :: 		case 0:
L_interrupt80:
;RBC.c,332 :: 		adc0 = (ADRESH*4)+(ADRESL/64);       //     
	MOVF       ADRESH+0, 0
	MOVWF      R2+0
	CLRF       R2+1
	RLF        R2+0, 1
	RLF        R2+1, 1
	BCF        R2+0, 0
	RLF        R2+0, 1
	RLF        R2+1, 1
	BCF        R2+0, 0
	MOVLW      6
	MOVWF      R1+0
	MOVF       ADRESL+0, 0
	MOVWF      R0+0
	MOVF       R1+0, 0
L__interrupt248:
	BTFSC      STATUS+0, 2
	GOTO       L__interrupt249
	RRF        R0+0, 1
	BCF        R0+0, 7
	ADDLW      255
	GOTO       L__interrupt248
L__interrupt249:
	MOVLW      0
	MOVWF      R0+1
	MOVF       R2+0, 0
	ADDWF      R0+0, 1
	MOVF       R2+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      _adc0+0
	MOVF       R0+1, 0
	MOVWF      _adc0+1
;RBC.c,333 :: 		Dst = 2914 / (adc0 + 5) - 1;
	MOVLW      5
	ADDWF      R0+0, 0
	MOVWF      R4+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R4+1
	MOVLW      98
	MOVWF      R0+0
	MOVLW      11
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	DECF       R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _Dst+0
;RBC.c,334 :: 		if (Dst > 32) {
	MOVF       R1+0, 0
	SUBLW      32
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt81
;RBC.c,335 :: 		Dst = 32;
	MOVLW      32
	MOVWF      _Dst+0
;RBC.c,336 :: 		}
L_interrupt81:
;RBC.c,337 :: 		Select_ADC_Channel(1);               //    
	MOVLW      1
	MOVWF      FARG_Select_ADC_Channel_channel+0
	CALL       _Select_ADC_Channel+0
;RBC.c,338 :: 		CurrentADCPort = 1;
	MOVLW      1
	MOVWF      _CurrentADCPort+0
;RBC.c,339 :: 		ADCStateFlag = 1;                    //     
	MOVLW      1
	MOVWF      _ADCStateFlag+0
;RBC.c,340 :: 		break;
	GOTO       L_interrupt79
;RBC.c,341 :: 		case 1:
L_interrupt82:
;RBC.c,342 :: 		adc1 = (ADRESH*4)+(ADRESL/64);
	MOVF       ADRESH+0, 0
	MOVWF      _adc1+0
	CLRF       _adc1+1
	RLF        _adc1+0, 1
	RLF        _adc1+1, 1
	BCF        _adc1+0, 0
	RLF        _adc1+0, 1
	RLF        _adc1+1, 1
	BCF        _adc1+0, 0
	MOVLW      6
	MOVWF      R1+0
	MOVF       ADRESL+0, 0
	MOVWF      R0+0
	MOVF       R1+0, 0
L__interrupt250:
	BTFSC      STATUS+0, 2
	GOTO       L__interrupt251
	RRF        R0+0, 1
	BCF        R0+0, 7
	ADDLW      255
	GOTO       L__interrupt250
L__interrupt251:
	MOVF       R0+0, 0
	ADDWF      _adc1+0, 1
	BTFSC      STATUS+0, 0
	INCF       _adc1+1, 1
;RBC.c,343 :: 		switch (cntOperate.LEFT_CNT_STS) {
	GOTO       L_interrupt83
;RBC.c,344 :: 		case 0:
L_interrupt85:
;RBC.c,345 :: 		if (adc1 > 650) {
	MOVF       _adc1+1, 0
	SUBLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt252
	MOVF       _adc1+0, 0
	SUBLW      138
L__interrupt252:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt86
;RBC.c,346 :: 		cntOperate.LEFT_CNT_LVL = 1;
	BSF        _cntOperate+0, 2
;RBC.c,347 :: 		} else {
	GOTO       L_interrupt87
L_interrupt86:
;RBC.c,348 :: 		cntOperate.LEFT_CNT_LVL = 0;
	BCF        _cntOperate+0, 2
;RBC.c,349 :: 		}
L_interrupt87:
;RBC.c,350 :: 		cntOperate.LEFT_CNT_STS = 1;
	BSF        _cntOperate+0, 0
;RBC.c,351 :: 		break;
	GOTO       L_interrupt84
;RBC.c,352 :: 		case 1:
L_interrupt88:
;RBC.c,353 :: 		if (adc1 > 650) {
	MOVF       _adc1+1, 0
	SUBLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt253
	MOVF       _adc1+0, 0
	SUBLW      138
L__interrupt253:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt89
;RBC.c,354 :: 		if (cntOperate.LEFT_CNT_LVL == 0) {
	BTFSC      _cntOperate+0, 2
	GOTO       L_interrupt90
;RBC.c,355 :: 		if (RobotStatus != 0) {
	MOVF       _RobotStatus+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt91
;RBC.c,356 :: 		leftCnt++;
	INCF       _leftCnt+0, 1
	BTFSC      STATUS+0, 2
	INCF       _leftCnt+1, 1
;RBC.c,357 :: 		}
L_interrupt91:
;RBC.c,358 :: 		if (odoStabStatus == 1) {
	MOVF       _odoStabStatus+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt92
;RBC.c,359 :: 		odoStabLeft++;
	INCF       _odoStabLeft+0, 1
	BTFSC      STATUS+0, 2
	INCF       _odoStabLeft+1, 1
;RBC.c,360 :: 		}
L_interrupt92:
;RBC.c,361 :: 		}
L_interrupt90:
;RBC.c,362 :: 		cntOperate.LEFT_CNT_LVL = 1;
	BSF        _cntOperate+0, 2
;RBC.c,363 :: 		} else {
	GOTO       L_interrupt93
L_interrupt89:
;RBC.c,364 :: 		cntOperate.LEFT_CNT_LVL = 0;
	BCF        _cntOperate+0, 2
;RBC.c,365 :: 		}
L_interrupt93:
;RBC.c,366 :: 		break;
	GOTO       L_interrupt84
;RBC.c,367 :: 		}
L_interrupt83:
	BTFSS      _cntOperate+0, 0
	GOTO       L_interrupt85
	BTFSC      _cntOperate+0, 0
	GOTO       L_interrupt88
L_interrupt84:
;RBC.c,368 :: 		Select_ADC_Channel(2);
	MOVLW      2
	MOVWF      FARG_Select_ADC_Channel_channel+0
	CALL       _Select_ADC_Channel+0
;RBC.c,369 :: 		CurrentADCPort = 2;
	MOVLW      2
	MOVWF      _CurrentADCPort+0
;RBC.c,370 :: 		ADCStateFlag = 1;
	MOVLW      1
	MOVWF      _ADCStateFlag+0
;RBC.c,371 :: 		break;
	GOTO       L_interrupt79
;RBC.c,372 :: 		case 2:
L_interrupt94:
;RBC.c,373 :: 		adc2 = (ADRESH*4)+(ADRESL/64);
	MOVF       ADRESH+0, 0
	MOVWF      _adc2+0
	CLRF       _adc2+1
	RLF        _adc2+0, 1
	RLF        _adc2+1, 1
	BCF        _adc2+0, 0
	RLF        _adc2+0, 1
	RLF        _adc2+1, 1
	BCF        _adc2+0, 0
	MOVLW      6
	MOVWF      R1+0
	MOVF       ADRESL+0, 0
	MOVWF      R0+0
	MOVF       R1+0, 0
L__interrupt254:
	BTFSC      STATUS+0, 2
	GOTO       L__interrupt255
	RRF        R0+0, 1
	BCF        R0+0, 7
	ADDLW      255
	GOTO       L__interrupt254
L__interrupt255:
	MOVF       R0+0, 0
	ADDWF      _adc2+0, 1
	BTFSC      STATUS+0, 0
	INCF       _adc2+1, 1
;RBC.c,374 :: 		switch (cntOperate.RIGHT_CNT_STS) {
	GOTO       L_interrupt95
;RBC.c,375 :: 		case 0:
L_interrupt97:
;RBC.c,376 :: 		if (adc2 > 650) {
	MOVF       _adc2+1, 0
	SUBLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt256
	MOVF       _adc2+0, 0
	SUBLW      138
L__interrupt256:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt98
;RBC.c,377 :: 		cntOperate.RIGHT_CNT_LVL = 1;
	BSF        _cntOperate+0, 3
;RBC.c,378 :: 		} else {
	GOTO       L_interrupt99
L_interrupt98:
;RBC.c,379 :: 		cntOperate.RIGHT_CNT_LVL = 0;
	BCF        _cntOperate+0, 3
;RBC.c,380 :: 		}
L_interrupt99:
;RBC.c,381 :: 		cntOperate.RIGHT_CNT_STS = 1;
	BSF        _cntOperate+0, 1
;RBC.c,382 :: 		break;
	GOTO       L_interrupt96
;RBC.c,383 :: 		case 1:
L_interrupt100:
;RBC.c,384 :: 		if (adc2 > 650) {
	MOVF       _adc2+1, 0
	SUBLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt257
	MOVF       _adc2+0, 0
	SUBLW      138
L__interrupt257:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt101
;RBC.c,385 :: 		if (cntOperate.RIGHT_CNT_LVL == 0) {
	BTFSC      _cntOperate+0, 3
	GOTO       L_interrupt102
;RBC.c,386 :: 		if (RobotStatus != 0) {
	MOVF       _RobotStatus+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt103
;RBC.c,387 :: 		rightCnt++;
	INCF       _rightCnt+0, 1
	BTFSC      STATUS+0, 2
	INCF       _rightCnt+1, 1
;RBC.c,388 :: 		}
L_interrupt103:
;RBC.c,389 :: 		if (odoStabStatus == 1) {
	MOVF       _odoStabStatus+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt104
;RBC.c,390 :: 		odoStabRight++;
	INCF       _odoStabRight+0, 1
	BTFSC      STATUS+0, 2
	INCF       _odoStabRight+1, 1
;RBC.c,391 :: 		}
L_interrupt104:
;RBC.c,392 :: 		}
L_interrupt102:
;RBC.c,393 :: 		cntOperate.RIGHT_CNT_LVL = 1;
	BSF        _cntOperate+0, 3
;RBC.c,394 :: 		} else {
	GOTO       L_interrupt105
L_interrupt101:
;RBC.c,395 :: 		cntOperate.RIGHT_CNT_LVL = 0;
	BCF        _cntOperate+0, 3
;RBC.c,396 :: 		}
L_interrupt105:
;RBC.c,397 :: 		break;
	GOTO       L_interrupt96
;RBC.c,398 :: 		}
L_interrupt95:
	BTFSS      _cntOperate+0, 1
	GOTO       L_interrupt97
	BTFSC      _cntOperate+0, 1
	GOTO       L_interrupt100
L_interrupt96:
;RBC.c,399 :: 		Select_ADC_Channel(0);
	CLRF       FARG_Select_ADC_Channel_channel+0
	CALL       _Select_ADC_Channel+0
;RBC.c,400 :: 		CurrentADCPort = 0;
	CLRF       _CurrentADCPort+0
;RBC.c,401 :: 		ADCStateFlag = 1;
	MOVLW      1
	MOVWF      _ADCStateFlag+0
;RBC.c,402 :: 		break;
	GOTO       L_interrupt79
;RBC.c,403 :: 		}
L_interrupt78:
	MOVF       _CurrentADCPort+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt80
	MOVF       _CurrentADCPort+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt82
	MOVF       _CurrentADCPort+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt94
L_interrupt79:
;RBC.c,404 :: 		}
L_interrupt77:
;RBC.c,405 :: 		}
L__interrupt242:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_TMR0_setup:

;RBC.c,408 :: 		void TMR0_setup(void) {
;RBC.c,410 :: 		OPTION_REG.T0CS = 0;  // bit 5 TMR0 Clock Source Select bit:0=Internal Clock (CLKO) / 1=Transition on T0CKI pin
	BCF        OPTION_REG+0, 5
;RBC.c,411 :: 		OPTION_REG.T0SE = 0;  // bit 4 TMR0 Source Edge Select bit: 0=low/high / 1=high/low
	BCF        OPTION_REG+0, 4
;RBC.c,412 :: 		OPTION_REG.PSA  = 0;  // bit 3 Prescaler Assignment bit: 0=Prescaler is assigned to the Timer0
	BCF        OPTION_REG+0, 3
;RBC.c,413 :: 		OPTION_REG.PS2  = 1;  // bits 2-0  PS2:PS0: Prescaler Rate Select bits
	BSF        OPTION_REG+0, 2
;RBC.c,414 :: 		OPTION_REG.PS1  = 0;
	BCF        OPTION_REG+0, 1
;RBC.c,415 :: 		OPTION_REG.PS0  = 0;
	BCF        OPTION_REG+0, 0
;RBC.c,416 :: 		TMR0            = TMR0_PRESET;   // preset for timer register(2 cycle adjusted)
	MOVLW      94
	MOVWF      TMR0+0
;RBC.c,417 :: 		INTCON.T0IE     = ENABLE;        //    TMR0
	BSF        INTCON+0, 5
;RBC.c,418 :: 		}
	RETURN
; end of _TMR0_setup

_TMR1_setup:

;RBC.c,421 :: 		void TMR1_setup(void) {
;RBC.c,423 :: 		T1CON.T1CKPS1 = 0;  // bits 5-4  Prescaler Rate Select bits
	BCF        T1CON+0, 5
;RBC.c,424 :: 		T1CON.T1CKPS0 = 0;  // bit 4
	BCF        T1CON+0, 4
;RBC.c,425 :: 		T1CON.T1OSCEN = 1;  // bit 3 Timer1 Oscillator Enable Control: bit 1=on
	BSF        T1CON+0, 3
;RBC.c,426 :: 		T1CON.T1SYNC  = 1;  // bit 2 Timer1 External Clock Input Synchronization Control bit:1=Do not synchronize external clock input
	BSF        T1CON+0, 2
;RBC.c,427 :: 		T1CON.TMR1CS  = 0;  // bit 1 Timer1 Clock Source Select bit:0=Internal clock (FOSC/4) / 1 = External clock from pin T1CKI (on the rising edge)
	BCF        T1CON+0, 1
;RBC.c,428 :: 		T1CON.TMR1ON  = 1;  // bit 0 enables timer
	BSF        T1CON+0, 0
;RBC.c,429 :: 		TMR1H         = TMR1H_PRESET;    // preset for timer1 MSB register
	MOVLW      254
	MOVWF      TMR1H+0
;RBC.c,430 :: 		TMR1L         = TMR1L_PRESET;    // preset for timer1 LSB register
	MOVLW      12
	MOVWF      TMR1L+0
;RBC.c,431 :: 		PIE1.TMR1IE   = ENABLE;          //    TMR1
	BSF        PIE1+0, 0
;RBC.c,432 :: 		}
	RETURN
; end of _TMR1_setup

_EUSART_setup:

;RBC.c,435 :: 		void EUSART_setup (void) {
;RBC.c,438 :: 		TXSTA.TX9     = 0;            // 8-bit  
	BCF        TXSTA+0, 6
;RBC.c,439 :: 		RCSTA.RX9     = 0;            // 8-bit  
	BCF        RCSTA+0, 6
;RBC.c,440 :: 		RCSTA.ADDEN   = 0;            //   
	BCF        RCSTA+0, 3
;RBC.c,441 :: 		TXSTA.CSRC    = 1;            // Master mode
	BSF        TXSTA+0, 7
;RBC.c,442 :: 		TXSTA.BRGH    = 1;            //   EUSART
	BSF        TXSTA+0, 2
;RBC.c,443 :: 		BAUDCTL.BRG16 = 1;            // 16-bit 
	BSF        BAUDCTL+0, 3
;RBC.c,444 :: 		SPBRG_tmp     = ((Clock_kHz() * 1000) / 9600) / 4 - 1;  // 519
	MOVLW      7
	MOVWF      R0+0
	MOVLW      2
	MOVWF      R0+1
;RBC.c,445 :: 		SPBRGH        = Hi(SPBRG_tmp);                          // 2
	MOVF       R0+1, 0
	MOVWF      SPBRGH+0
;RBC.c,446 :: 		SPBRG         = Lo(SPBRG_tmp);                          // 7
	MOVF       R0+0, 0
	MOVWF      SPBRG+0
;RBC.c,447 :: 		TXSTA.SYNC    = 0;            //  
	BCF        TXSTA+0, 4
;RBC.c,448 :: 		RCSTA.SPEN    = ENABLE;       //   EUSART
	BSF        RCSTA+0, 7
;RBC.c,449 :: 		TXSTA.TXEN    = ENABLE;       //  
	BSF        TXSTA+0, 5
;RBC.c,451 :: 		RCSTA.CREN    = ENABLE;       //  
	BSF        RCSTA+0, 4
;RBC.c,452 :: 		PIE1.RCIE     = ENABLE;       //    
	BSF        PIE1+0, 5
;RBC.c,453 :: 		}
	RETURN
; end of _EUSART_setup

_ADC_setup:

;RBC.c,456 :: 		void ADC_setup (void) {
;RBC.c,457 :: 		ADCON0.ADCS1 = 1;              //   FOsc/32 ( 20 TAd = 1.6)
	BSF        ADCON0+0, 7
;RBC.c,458 :: 		ADCON0.ADCS0 = 0;
	BCF        ADCON0+0, 6
;RBC.c,459 :: 		ADCON0.CHS3  = 0;              //    ( AN0)
	BCF        ADCON0+0, 5
;RBC.c,460 :: 		ADCON0.CHS2  = 0;
	BCF        ADCON0+0, 4
;RBC.c,461 :: 		ADCON0.CHS1  = 0;
	BCF        ADCON0+0, 3
;RBC.c,462 :: 		ADCON0.CHS0  = 0;
	BCF        ADCON0+0, 2
;RBC.c,463 :: 		ADCON1.VCFG1 = 0;              //     -  Vss
	BCF        ADCON1+0, 5
;RBC.c,464 :: 		ADCON1.VCFG0 = 0;              //     -  Vdd
	BCF        ADCON1+0, 4
;RBC.c,465 :: 		ADCON1.ADFM  = 0;              //  
	BCF        ADCON1+0, 7
;RBC.c,466 :: 		ADCON0.ADON  = ENABLE;         //   
	BSF        ADCON0+0, 0
;RBC.c,468 :: 		PIR1.ADIF    = 0;              //    
	BCF        PIR1+0, 6
;RBC.c,469 :: 		PIE1.ADIE    = ENABLE;         //   
	BSF        PIE1+0, 6
;RBC.c,470 :: 		Delay_80us();                  //  80     
	CALL       _Delay_80us+0
;RBC.c,471 :: 		}
	RETURN
; end of _ADC_setup

_EnableRecieve:

;RBC.c,474 :: 		void EnableRecieve (void) {
;RBC.c,475 :: 		PIE1.RCIE = ENABLE;
	BSF        PIE1+0, 5
;RBC.c,476 :: 		}
	RETURN
; end of _EnableRecieve

_strConstCpy:

;RBC.c,479 :: 		void strConstCpy (const char *source, char *dest) {
;RBC.c,480 :: 		while (*source) *dest++ = *source++;
L_strConstCpy106:
	MOVF       FARG_strConstCpy_source+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       FARG_strConstCpy_source+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_strConstCpy107
	MOVF       FARG_strConstCpy_source+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       FARG_strConstCpy_source+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	MOVF       FARG_strConstCpy_dest+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
	INCF       FARG_strConstCpy_dest+0, 1
	INCF       FARG_strConstCpy_source+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_strConstCpy_source+1, 1
	GOTO       L_strConstCpy106
L_strConstCpy107:
;RBC.c,481 :: 		*dest = 0;
	MOVF       FARG_strConstCpy_dest+0, 0
	MOVWF      FSR
	CLRF       INDF+0
;RBC.c,482 :: 		}
	RETURN
; end of _strConstCpy

_main:

;RBC.c,484 :: 		void main(void) {
;RBC.c,485 :: 		ANSEL         = 0b0000111;    // PORTA.F0 - PORTA.F2 -  , 
	MOVLW      7
	MOVWF      ANSEL+0
;RBC.c,486 :: 		ANSELH        = 0b0000000;    //  -  /
	CLRF       ANSELH+0
;RBC.c,487 :: 		TRISA.RA0     = INPUT;
	BSF        TRISA+0, 0
;RBC.c,488 :: 		TRISA.RA1     = INPUT;
	BSF        TRISA+0, 1
;RBC.c,489 :: 		TRISA.RA2     = INPUT;
	BSF        TRISA+0, 2
;RBC.c,491 :: 		TRISA.RA4     = INPUT;        // PORTA.F4 -     RA4
	BSF        TRISA+0, 4
;RBC.c,492 :: 		PORTB.RB3     = OFF;
	BCF        PORTB+0, 3
;RBC.c,493 :: 		TRISB.RB3     = OUTPUT;       // PORTB.F3 -     RB3
	BCF        TRISB+0, 3
;RBC.c,495 :: 		PORTB.RB4    = OFF;
	BCF        PORTB+0, 4
;RBC.c,496 :: 		TRISB.RB4    = OUTPUT;        // PORTB.F4 -  
	BCF        TRISB+0, 4
;RBC.c,497 :: 		PORTB.RB5    = OFF;
	BCF        PORTB+0, 5
;RBC.c,498 :: 		TRISB.RB5    = OUTPUT;        // PORTB.F5 -  
	BCF        TRISB+0, 5
;RBC.c,500 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;RBC.c,501 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RBC.c,502 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RBC.c,504 :: 		strConstCpy(message_LCD[0], string);
	MOVF       _message_LCD+0, 0
	MOVWF      FARG_strConstCpy_source+0
	MOVF       _message_LCD+1, 0
	MOVWF      FARG_strConstCpy_source+1
	MOVLW      _string+0
	MOVWF      FARG_strConstCpy_dest+0
	CALL       _strConstCpy+0
;RBC.c,505 :: 		Lcd_Out(1, 1, string);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _string+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,506 :: 		strConstCpy(message_LCD[1], string);
	MOVF       _message_LCD+2, 0
	MOVWF      FARG_strConstCpy_source+0
	MOVF       _message_LCD+3, 0
	MOVWF      FARG_strConstCpy_source+1
	MOVLW      _string+0
	MOVWF      FARG_strConstCpy_dest+0
	CALL       _strConstCpy+0
;RBC.c,507 :: 		Lcd_Out(2, 1, string);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _string+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,509 :: 		TMR0_setup();                 //   TMR0
	CALL       _TMR0_setup+0
;RBC.c,510 :: 		TMR1_setup();                 //   TMR1
	CALL       _TMR1_setup+0
;RBC.c,511 :: 		EUSART_setup();               //  EUSART
	CALL       _EUSART_setup+0
;RBC.c,512 :: 		ADC_setup();                  //  
	CALL       _ADC_setup+0
;RBC.c,514 :: 		INTCON.PEIE   = ENABLE;       //     
	BSF        INTCON+0, 6
;RBC.c,515 :: 		INTCON.GIE    = ENABLE;       //  
	BSF        INTCON+0, 7
;RBC.c,517 :: 		strConstCpy(message_UART0, string);
	MOVF       _message_UART0+0, 0
	MOVWF      FARG_strConstCpy_source+0
	MOVF       _message_UART0+1, 0
	MOVWF      FARG_strConstCpy_source+1
	MOVLW      _string+0
	MOVWF      FARG_strConstCpy_dest+0
	CALL       _strConstCpy+0
;RBC.c,518 :: 		UART1_Write_Text(string);
	MOVLW      _string+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;RBC.c,520 :: 		Delay_100ms();
	CALL       _Delay_100ms+0
;RBC.c,522 :: 		PIE1.TMR1IE   = DISABLE;      //  TMR1      
	BCF        PIE1+0, 0
;RBC.c,524 :: 		sec = 0;
	CLRF       _sec+0
;RBC.c,525 :: 		while ((PORTA.RA4 == ON) && (sec < 5));       //    RA4 
L_main108:
	BTFSS      PORTA+0, 4
	GOTO       L_main109
	MOVLW      5
	SUBWF      _sec+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main109
L__main241:
	GOTO       L_main108
L_main109:
;RBC.c,527 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RBC.c,528 :: 		strConstCpy(message_LCD[2], string);
	MOVF       _message_LCD+4, 0
	MOVWF      FARG_strConstCpy_source+0
	MOVF       _message_LCD+5, 0
	MOVWF      FARG_strConstCpy_source+1
	MOVLW      _string+0
	MOVWF      FARG_strConstCpy_dest+0
	CALL       _strConstCpy+0
;RBC.c,529 :: 		Lcd_Out(1, 1, string);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _string+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,531 :: 		sec = 0;
	CLRF       _sec+0
;RBC.c,532 :: 		while (sec < 2);              //   2 
L_main112:
	MOVLW      2
	SUBWF      _sec+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main113
	GOTO       L_main112
L_main113:
;RBC.c,534 :: 		ADCStateFlag = 1;             //   
	MOVLW      1
	MOVWF      _ADCStateFlag+0
;RBC.c,535 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RBC.c,537 :: 		strConstCpy(message_UART1, string);
	MOVF       _message_UART1+0, 0
	MOVWF      FARG_strConstCpy_source+0
	MOVF       _message_UART1+1, 0
	MOVWF      FARG_strConstCpy_source+1
	MOVLW      _string+0
	MOVWF      FARG_strConstCpy_dest+0
	CALL       _strConstCpy+0
;RBC.c,538 :: 		UART1_Write_Text(string);
	MOVLW      _string+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;RBC.c,540 :: 		for (;;) {                    //  
L_main114:
;RBC.c,542 :: 		generalCnt = (leftCnt + rightCnt) / 2;
	MOVF       _rightCnt+0, 0
	ADDWF      _leftCnt+0, 0
	MOVWF      _generalCnt+0
	MOVF       _leftCnt+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      _rightCnt+1, 0
	MOVWF      _generalCnt+1
	RRF        _generalCnt+1, 1
	RRF        _generalCnt+0, 1
	BCF        _generalCnt+1, 7
;RBC.c,548 :: 		switch (IncomingCommand) {
	GOTO       L_main117
;RBC.c,549 :: 		case 'W':
L_main119:
;RBC.c,550 :: 		if (RobotStatus == 3) {
	MOVF       _RobotStatus+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_main120
;RBC.c,551 :: 		RobotStatus = 0;
	CLRF       _RobotStatus+0
;RBC.c,552 :: 		odoStabStatus = 0;
	CLRF       _odoStabStatus+0
;RBC.c,553 :: 		Stop();
	CALL       _Stop+0
;RBC.c,554 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,555 :: 		CmdOut = "X";
	MOVLW      ?lstr7_RBC+0
	MOVWF      _CmdOut+0
;RBC.c,556 :: 		} else {
	GOTO       L_main121
L_main120:
;RBC.c,557 :: 		if (RobotStatus != 1) {
	MOVF       _RobotStatus+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_main122
;RBC.c,558 :: 		RobotStatus = 1;
	MOVLW      1
	MOVWF      _RobotStatus+0
;RBC.c,559 :: 		odoStabStatus = 1;
	MOVLW      1
	MOVWF      _odoStabStatus+0
;RBC.c,560 :: 		odoStabCounter = 0;
	CLRF       _odoStabCounter+0
;RBC.c,561 :: 		odoStabLeft = 0;
	CLRF       _odoStabLeft+0
	CLRF       _odoStabLeft+1
;RBC.c,562 :: 		odoStabRight = 0;
	CLRF       _odoStabRight+0
	CLRF       _odoStabRight+1
;RBC.c,563 :: 		Forward(MotorA_CurrentSpeed, MotorB_CurrentSpeed);
	MOVF       _MotorA_CurrentSpeed+0, 0
	MOVWF      FARG_Forward_MotorA_Speed+0
	MOVF       _MotorB_CurrentSpeed+0, 0
	MOVWF      FARG_Forward_MotorB_Speed+0
	CALL       _Forward+0
;RBC.c,564 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,565 :: 		CmdOut = "W";
	MOVLW      ?lstr8_RBC+0
	MOVWF      _CmdOut+0
;RBC.c,566 :: 		}
L_main122:
;RBC.c,567 :: 		}
L_main121:
;RBC.c,568 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,569 :: 		break;
	GOTO       L_main118
;RBC.c,570 :: 		case 'A':
L_main123:
;RBC.c,571 :: 		RobotStatus = 2;
	MOVLW      2
	MOVWF      _RobotStatus+0
;RBC.c,572 :: 		odoStabStatus = 0;
	CLRF       _odoStabStatus+0
;RBC.c,574 :: 		SwingLeft(MAX_SPEED, MIN_SPEED);
	MOVLW      255
	MOVWF      FARG_SwingLeft_MotorA_Speed+0
	MOVLW      195
	MOVWF      FARG_SwingLeft_MotorB_Speed+0
	CALL       _SwingLeft+0
;RBC.c,575 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,576 :: 		CmdOut = "A";
	MOVLW      ?lstr9_RBC+0
	MOVWF      _CmdOut+0
;RBC.c,577 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,578 :: 		break;
	GOTO       L_main118
;RBC.c,579 :: 		case 'S':
L_main124:
;RBC.c,580 :: 		if (RobotStatus == 1) {
	MOVF       _RobotStatus+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main125
;RBC.c,581 :: 		RobotStatus = 0;
	CLRF       _RobotStatus+0
;RBC.c,582 :: 		odoStabStatus = 0;
	CLRF       _odoStabStatus+0
;RBC.c,583 :: 		Stop();
	CALL       _Stop+0
;RBC.c,584 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,585 :: 		CmdOut = "X";
	MOVLW      ?lstr10_RBC+0
	MOVWF      _CmdOut+0
;RBC.c,586 :: 		} else {
	GOTO       L_main126
L_main125:
;RBC.c,587 :: 		if (RobotStatus != 3) {
	MOVF       _RobotStatus+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_main127
;RBC.c,588 :: 		RobotStatus = 3;
	MOVLW      3
	MOVWF      _RobotStatus+0
;RBC.c,589 :: 		odoStabStatus = 1;
	MOVLW      1
	MOVWF      _odoStabStatus+0
;RBC.c,590 :: 		odoStabCounter = 0;
	CLRF       _odoStabCounter+0
;RBC.c,591 :: 		odoStabLeft = 0;
	CLRF       _odoStabLeft+0
	CLRF       _odoStabLeft+1
;RBC.c,592 :: 		odoStabRight = 0;
	CLRF       _odoStabRight+0
	CLRF       _odoStabRight+1
;RBC.c,593 :: 		Backward(MotorA_CurrentSpeed, MotorB_CurrentSpeed);
	MOVF       _MotorA_CurrentSpeed+0, 0
	MOVWF      FARG_Backward_MotorA_Speed+0
	MOVF       _MotorB_CurrentSpeed+0, 0
	MOVWF      FARG_Backward_MotorB_Speed+0
	CALL       _Backward+0
;RBC.c,594 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,595 :: 		CmdOut = "S";
	MOVLW      ?lstr11_RBC+0
	MOVWF      _CmdOut+0
;RBC.c,596 :: 		}
L_main127:
;RBC.c,597 :: 		}
L_main126:
;RBC.c,598 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,599 :: 		break;
	GOTO       L_main118
;RBC.c,600 :: 		case 'D':
L_main128:
;RBC.c,601 :: 		RobotStatus = 4;
	MOVLW      4
	MOVWF      _RobotStatus+0
;RBC.c,602 :: 		odoStabStatus = 0;
	CLRF       _odoStabStatus+0
;RBC.c,604 :: 		SwingRight(MAX_SPEED, MAX_SPEED);
	MOVLW      255
	MOVWF      FARG_SwingRight_MotorA_Speed+0
	MOVLW      255
	MOVWF      FARG_SwingRight_MotorB_Speed+0
	CALL       _SwingRight+0
;RBC.c,605 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,606 :: 		CmdOut = "D";
	MOVLW      ?lstr12_RBC+0
	MOVWF      _CmdOut+0
;RBC.c,607 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,608 :: 		break;
	GOTO       L_main118
;RBC.c,609 :: 		case 'X':
L_main129:
;RBC.c,610 :: 		if (RobotStatus != 0) {
	MOVF       _RobotStatus+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_main130
;RBC.c,611 :: 		RobotStatus = 0;
	CLRF       _RobotStatus+0
;RBC.c,612 :: 		odoStabStatus = 0;
	CLRF       _odoStabStatus+0
;RBC.c,613 :: 		Stop();
	CALL       _Stop+0
;RBC.c,614 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,615 :: 		CmdOut = "X";
	MOVLW      ?lstr13_RBC+0
	MOVWF      _CmdOut+0
;RBC.c,616 :: 		}
L_main130:
;RBC.c,617 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,618 :: 		break;
	GOTO       L_main118
;RBC.c,619 :: 		case 'Q':
L_main131:
;RBC.c,620 :: 		if (RobotStatus != 5  && (RobotStatus == 1 || RobotStatus == 3)) {
	MOVF       _RobotStatus+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_main136
	MOVF       _RobotStatus+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L__main240
	MOVF       _RobotStatus+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L__main240
	GOTO       L_main136
L__main240:
L__main239:
;RBC.c,621 :: 		RobotStatus = 5;
	MOVLW      5
	MOVWF      _RobotStatus+0
;RBC.c,622 :: 		odoStabStatus = 0;
	CLRF       _odoStabStatus+0
;RBC.c,623 :: 		MotorA_ChangeSpeed(185);
	MOVLW      185
	MOVWF      FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;RBC.c,624 :: 		MotorB_ChangeSpeed(MAX_SPEED);
	MOVLW      255
	MOVWF      FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;RBC.c,625 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,626 :: 		CmdOut = "Q";
	MOVLW      ?lstr14_RBC+0
	MOVWF      _CmdOut+0
;RBC.c,627 :: 		}
L_main136:
;RBC.c,628 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,629 :: 		break;
	GOTO       L_main118
;RBC.c,630 :: 		case 'E':
L_main137:
;RBC.c,631 :: 		if (RobotStatus != 6 && (RobotStatus == 1 || RobotStatus == 3)) {
	MOVF       _RobotStatus+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_main142
	MOVF       _RobotStatus+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L__main238
	MOVF       _RobotStatus+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L__main238
	GOTO       L_main142
L__main238:
L__main237:
;RBC.c,632 :: 		RobotStatus = 6;
	MOVLW      6
	MOVWF      _RobotStatus+0
;RBC.c,633 :: 		odoStabStatus = 0;
	CLRF       _odoStabStatus+0
;RBC.c,634 :: 		MotorA_ChangeSpeed(MAX_SPEED);
	MOVLW      255
	MOVWF      FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;RBC.c,635 :: 		MotorB_ChangeSpeed(185);
	MOVLW      185
	MOVWF      FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;RBC.c,636 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,637 :: 		CmdOut = "E";
	MOVLW      ?lstr15_RBC+0
	MOVWF      _CmdOut+0
;RBC.c,638 :: 		}
L_main142:
;RBC.c,639 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,640 :: 		break;
	GOTO       L_main118
;RBC.c,641 :: 		case 'O':
L_main143:
;RBC.c,642 :: 		if (RobotStatus == 1 || RobotStatus == 3) {
	MOVF       _RobotStatus+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L__main236
	MOVF       _RobotStatus+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L__main236
	GOTO       L_main146
L__main236:
;RBC.c,643 :: 		if (MotorA_CurrentSpeed < MAX_SPEED) {
	MOVLW      255
	SUBWF      _MotorA_CurrentSpeed+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main147
;RBC.c,644 :: 		MotorA_CurrentSpeed += 10;
	MOVLW      10
	ADDWF      _MotorA_CurrentSpeed+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _MotorA_CurrentSpeed+0
;RBC.c,645 :: 		if (MotorA_CurrentSpeed < MIN_SPEED) {
	MOVLW      195
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main148
;RBC.c,646 :: 		MotorA_CurrentSpeed = MAX_SPEED;
	MOVLW      255
	MOVWF      _MotorA_CurrentSpeed+0
;RBC.c,647 :: 		}
L_main148:
;RBC.c,648 :: 		MotorA_ChangeSpeed(MotorA_CurrentSpeed);
	MOVF       _MotorA_CurrentSpeed+0, 0
	MOVWF      FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;RBC.c,649 :: 		}
L_main147:
;RBC.c,650 :: 		if (MotorB_CurrentSpeed < MAX_SPEED) {
	MOVLW      255
	SUBWF      _MotorB_CurrentSpeed+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main149
;RBC.c,651 :: 		MotorB_CurrentSpeed += 10;
	MOVLW      10
	ADDWF      _MotorB_CurrentSpeed+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _MotorB_CurrentSpeed+0
;RBC.c,652 :: 		if (MotorB_CurrentSpeed < MIN_SPEED) {
	MOVLW      195
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main150
;RBC.c,653 :: 		MotorB_CurrentSpeed = MAX_SPEED;
	MOVLW      255
	MOVWF      _MotorB_CurrentSpeed+0
;RBC.c,654 :: 		}
L_main150:
;RBC.c,655 :: 		MotorB_ChangeSpeed(MotorB_CurrentSpeed);
	MOVF       _MotorB_CurrentSpeed+0, 0
	MOVWF      FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;RBC.c,656 :: 		}
L_main149:
;RBC.c,657 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,658 :: 		CmdOut = "O";
	MOVLW      ?lstr16_RBC+0
	MOVWF      _CmdOut+0
;RBC.c,659 :: 		}
L_main146:
;RBC.c,660 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,661 :: 		break;
	GOTO       L_main118
;RBC.c,662 :: 		case 'P':
L_main151:
;RBC.c,663 :: 		if (RobotStatus == 1 || RobotStatus == 3) {
	MOVF       _RobotStatus+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L__main235
	MOVF       _RobotStatus+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L__main235
	GOTO       L_main154
L__main235:
;RBC.c,664 :: 		if (MotorA_CurrentSpeed > MIN_SPEED) {
	MOVF       _MotorA_CurrentSpeed+0, 0
	SUBLW      195
	BTFSC      STATUS+0, 0
	GOTO       L_main155
;RBC.c,665 :: 		MotorA_CurrentSpeed -= 10;
	MOVLW      10
	SUBWF      _MotorA_CurrentSpeed+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _MotorA_CurrentSpeed+0
;RBC.c,666 :: 		if (MotorA_CurrentSpeed < MIN_SPEED) {
	MOVLW      195
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main156
;RBC.c,667 :: 		MotorA_CurrentSpeed = MIN_SPEED;
	MOVLW      195
	MOVWF      _MotorA_CurrentSpeed+0
;RBC.c,668 :: 		}
L_main156:
;RBC.c,669 :: 		MotorA_ChangeSpeed(MotorA_CurrentSpeed);
	MOVF       _MotorA_CurrentSpeed+0, 0
	MOVWF      FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;RBC.c,670 :: 		}
L_main155:
;RBC.c,671 :: 		if (MotorB_CurrentSpeed > MIN_SPEED) {
	MOVF       _MotorB_CurrentSpeed+0, 0
	SUBLW      195
	BTFSC      STATUS+0, 0
	GOTO       L_main157
;RBC.c,672 :: 		MotorB_CurrentSpeed -= 10;
	MOVLW      10
	SUBWF      _MotorB_CurrentSpeed+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _MotorB_CurrentSpeed+0
;RBC.c,673 :: 		if (MotorB_CurrentSpeed < MIN_SPEED) {
	MOVLW      195
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main158
;RBC.c,674 :: 		MotorB_CurrentSpeed = MIN_SPEED;
	MOVLW      195
	MOVWF      _MotorB_CurrentSpeed+0
;RBC.c,675 :: 		}
L_main158:
;RBC.c,676 :: 		MotorB_ChangeSpeed(MotorB_CurrentSpeed);
	MOVF       _MotorB_CurrentSpeed+0, 0
	MOVWF      FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;RBC.c,677 :: 		}
L_main157:
;RBC.c,678 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,679 :: 		CmdOut = "P";
	MOVLW      ?lstr17_RBC+0
	MOVWF      _CmdOut+0
;RBC.c,680 :: 		}
L_main154:
;RBC.c,681 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,682 :: 		break;
	GOTO       L_main118
;RBC.c,683 :: 		case 'L':
L_main159:
;RBC.c,684 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RBC.c,685 :: 		LCDDisplayScreen++;
	INCF       _LCDDisplayScreen+0, 1
;RBC.c,686 :: 		if (LCDDisplayScreen == 2) {
	MOVF       _LCDDisplayScreen+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_main160
;RBC.c,687 :: 		LCDDisplayScreen = 0;
	CLRF       _LCDDisplayScreen+0
;RBC.c,688 :: 		}
L_main160:
;RBC.c,689 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,690 :: 		CmdOut = "L";
	MOVLW      ?lstr18_RBC+0
	MOVWF      _CmdOut+0
;RBC.c,691 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,692 :: 		break;
	GOTO       L_main118
;RBC.c,693 :: 		case 'J':
L_main161:
;RBC.c,694 :: 		if (servoPos0 < 18) {
	MOVLW      18
	SUBWF      _servoPos0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main162
;RBC.c,695 :: 		servoPos0++;
	INCF       _servoPos0+0, 1
;RBC.c,696 :: 		if (servoPos0 > 18) {
	MOVF       _servoPos0+0, 0
	SUBLW      18
	BTFSC      STATUS+0, 0
	GOTO       L_main163
;RBC.c,697 :: 		servoPos0 = 18;
	MOVLW      18
	MOVWF      _servoPos0+0
;RBC.c,698 :: 		}
L_main163:
;RBC.c,699 :: 		servoPhs0  = 1;
	MOVLW      1
	MOVWF      _servoPhs0+0
;RBC.c,700 :: 		servoPosCnt  = 0;
	CLRF       _servoPosCnt+0
;RBC.c,701 :: 		servoPosEnbl = 1;
	MOVLW      1
	MOVWF      _servoPosEnbl+0
;RBC.c,702 :: 		PIE1.TMR1IE  = ENABLE;
	BSF        PIE1+0, 0
;RBC.c,704 :: 		ByteToStr(servoPos0, txt_byte);
	MOVF       _servoPos0+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _txt_byte+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;RBC.c,705 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,706 :: 		CmdOut = txt_byte;
	MOVLW      _txt_byte+0
	MOVWF      _CmdOut+0
;RBC.c,707 :: 		}
L_main162:
;RBC.c,708 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,709 :: 		break;
	GOTO       L_main118
;RBC.c,710 :: 		case 'K':
L_main164:
;RBC.c,711 :: 		if (servoPos0 > 4) {
	MOVF       _servoPos0+0, 0
	SUBLW      4
	BTFSC      STATUS+0, 0
	GOTO       L_main165
;RBC.c,712 :: 		servoPos0--;
	DECF       _servoPos0+0, 1
;RBC.c,713 :: 		if (servoPos0 < 4) {
	MOVLW      4
	SUBWF      _servoPos0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main166
;RBC.c,714 :: 		servoPos0 = 4;
	MOVLW      4
	MOVWF      _servoPos0+0
;RBC.c,715 :: 		}
L_main166:
;RBC.c,717 :: 		servoPhs0  = 1;
	MOVLW      1
	MOVWF      _servoPhs0+0
;RBC.c,718 :: 		servoPosCnt  = 0;
	CLRF       _servoPosCnt+0
;RBC.c,719 :: 		servoPosEnbl = 1;
	MOVLW      1
	MOVWF      _servoPosEnbl+0
;RBC.c,720 :: 		PIE1.TMR1IE  = ENABLE;
	BSF        PIE1+0, 0
;RBC.c,722 :: 		ByteToStr(servoPos0, txt_byte);
	MOVF       _servoPos0+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _txt_byte+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;RBC.c,723 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,724 :: 		CmdOut = txt_byte;
	MOVLW      _txt_byte+0
	MOVWF      _CmdOut+0
;RBC.c,725 :: 		}
L_main165:
;RBC.c,726 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,727 :: 		break;
	GOTO       L_main118
;RBC.c,728 :: 		case 'N':
L_main167:
;RBC.c,729 :: 		if (servoPos1 > 8) {
	MOVF       _servoPos1+0, 0
	SUBLW      8
	BTFSC      STATUS+0, 0
	GOTO       L_main168
;RBC.c,730 :: 		servoPos1--;
	DECF       _servoPos1+0, 1
;RBC.c,731 :: 		if (servoPos1 < 8) {
	MOVLW      8
	SUBWF      _servoPos1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main169
;RBC.c,732 :: 		servoPos1 = 8;
	MOVLW      8
	MOVWF      _servoPos1+0
;RBC.c,733 :: 		}
L_main169:
;RBC.c,734 :: 		servoPosCnt  = 0;
	CLRF       _servoPosCnt+0
;RBC.c,735 :: 		servoPosEnbl = 1;
	MOVLW      1
	MOVWF      _servoPosEnbl+0
;RBC.c,736 :: 		PIE1.TMR1IE  = ENABLE;
	BSF        PIE1+0, 0
;RBC.c,738 :: 		ByteToStr(servoPos1, txt_byte);
	MOVF       _servoPos1+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _txt_byte+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;RBC.c,739 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,740 :: 		CmdOut = txt_byte;
	MOVLW      _txt_byte+0
	MOVWF      _CmdOut+0
;RBC.c,741 :: 		}
L_main168:
;RBC.c,742 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,743 :: 		break;
	GOTO       L_main118
;RBC.c,744 :: 		case 'M':
L_main170:
;RBC.c,745 :: 		if (servoPos1 < 17) {
	MOVLW      17
	SUBWF      _servoPos1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main171
;RBC.c,746 :: 		servoPos1++;
	INCF       _servoPos1+0, 1
;RBC.c,747 :: 		if (servoPos1 > 17) {
	MOVF       _servoPos1+0, 0
	SUBLW      17
	BTFSC      STATUS+0, 0
	GOTO       L_main172
;RBC.c,748 :: 		servoPos1 = 17;
	MOVLW      17
	MOVWF      _servoPos1+0
;RBC.c,749 :: 		}
L_main172:
;RBC.c,750 :: 		servoPosCnt  = 0;
	CLRF       _servoPosCnt+0
;RBC.c,751 :: 		servoPosEnbl = 1;
	MOVLW      1
	MOVWF      _servoPosEnbl+0
;RBC.c,752 :: 		PIE1.TMR1IE  = ENABLE;
	BSF        PIE1+0, 0
;RBC.c,754 :: 		ByteToStr(servoPos1, txt_byte);
	MOVF       _servoPos1+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _txt_byte+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;RBC.c,755 :: 		CmdOutFlag = 1;
	MOVLW      1
	MOVWF      _CmdOutFlag+0
;RBC.c,756 :: 		CmdOut = txt_byte;
	MOVLW      _txt_byte+0
	MOVWF      _CmdOut+0
;RBC.c,757 :: 		}
L_main171:
;RBC.c,758 :: 		IncomingCommand = '\0';
	CLRF       _IncomingCommand+0
;RBC.c,759 :: 		break;
	GOTO       L_main118
;RBC.c,760 :: 		}
L_main117:
	MOVF       _IncomingCommand+0, 0
	XORLW      87
	BTFSC      STATUS+0, 2
	GOTO       L_main119
	MOVF       _IncomingCommand+0, 0
	XORLW      65
	BTFSC      STATUS+0, 2
	GOTO       L_main123
	MOVF       _IncomingCommand+0, 0
	XORLW      83
	BTFSC      STATUS+0, 2
	GOTO       L_main124
	MOVF       _IncomingCommand+0, 0
	XORLW      68
	BTFSC      STATUS+0, 2
	GOTO       L_main128
	MOVF       _IncomingCommand+0, 0
	XORLW      88
	BTFSC      STATUS+0, 2
	GOTO       L_main129
	MOVF       _IncomingCommand+0, 0
	XORLW      81
	BTFSC      STATUS+0, 2
	GOTO       L_main131
	MOVF       _IncomingCommand+0, 0
	XORLW      69
	BTFSC      STATUS+0, 2
	GOTO       L_main137
	MOVF       _IncomingCommand+0, 0
	XORLW      79
	BTFSC      STATUS+0, 2
	GOTO       L_main143
	MOVF       _IncomingCommand+0, 0
	XORLW      80
	BTFSC      STATUS+0, 2
	GOTO       L_main151
	MOVF       _IncomingCommand+0, 0
	XORLW      76
	BTFSC      STATUS+0, 2
	GOTO       L_main159
	MOVF       _IncomingCommand+0, 0
	XORLW      74
	BTFSC      STATUS+0, 2
	GOTO       L_main161
	MOVF       _IncomingCommand+0, 0
	XORLW      75
	BTFSC      STATUS+0, 2
	GOTO       L_main164
	MOVF       _IncomingCommand+0, 0
	XORLW      78
	BTFSC      STATUS+0, 2
	GOTO       L_main167
	MOVF       _IncomingCommand+0, 0
	XORLW      77
	BTFSC      STATUS+0, 2
	GOTO       L_main170
L_main118:
;RBC.c,763 :: 		if (RobotStatus != 0) {
	MOVF       _RobotStatus+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_main173
;RBC.c,764 :: 		if (MotorA_CurrentSpeed < MIN_SPEED) {
	MOVLW      195
	SUBWF      _MotorA_CurrentSpeed+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main174
;RBC.c,765 :: 		MotorA_CurrentSpeed = MIN_SPEED;
	MOVLW      195
	MOVWF      _MotorA_CurrentSpeed+0
;RBC.c,766 :: 		MotorA_ChangeSpeed(MotorA_CurrentSpeed);
	MOVLW      195
	MOVWF      FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;RBC.c,767 :: 		}
L_main174:
;RBC.c,768 :: 		if (MotorB_CurrentSpeed < MIN_SPEED) {
	MOVLW      195
	SUBWF      _MotorB_CurrentSpeed+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main175
;RBC.c,769 :: 		MotorB_CurrentSpeed = MIN_SPEED;
	MOVLW      195
	MOVWF      _MotorB_CurrentSpeed+0
;RBC.c,770 :: 		MotorB_ChangeSpeed(MotorB_CurrentSpeed);
	MOVLW      195
	MOVWF      FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;RBC.c,771 :: 		}
L_main175:
;RBC.c,772 :: 		}
L_main173:
;RBC.c,775 :: 		switch (odoStabStatus) {
	GOTO       L_main176
;RBC.c,776 :: 		case 0:
L_main178:
;RBC.c,777 :: 		break;
	GOTO       L_main177
;RBC.c,778 :: 		case 1:
L_main179:
;RBC.c,779 :: 		break;
	GOTO       L_main177
;RBC.c,780 :: 		case 2:
L_main180:
;RBC.c,781 :: 		if (abs(odoStabLeft - odoStabRight) > 2) {
	MOVF       _odoStabRight+0, 0
	SUBWF      _odoStabLeft+0, 0
	MOVWF      FARG_abs_a+0
	MOVF       _odoStabRight+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      _odoStabLeft+1, 0
	MOVWF      FARG_abs_a+1
	CALL       _abs+0
	MOVLW      128
	MOVWF      R2+0
	MOVLW      128
	XORWF      R0+1, 0
	SUBWF      R2+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main258
	MOVF       R0+0, 0
	SUBLW      2
L__main258:
	BTFSC      STATUS+0, 0
	GOTO       L_main181
;RBC.c,782 :: 		odoStabStatus = 3;
	MOVLW      3
	MOVWF      _odoStabStatus+0
;RBC.c,783 :: 		} else {
	GOTO       L_main182
L_main181:
;RBC.c,784 :: 		odoStabStatus = 1;
	MOVLW      1
	MOVWF      _odoStabStatus+0
;RBC.c,785 :: 		}
L_main182:
;RBC.c,786 :: 		break;
	GOTO       L_main177
;RBC.c,787 :: 		case 3:
L_main183:
;RBC.c,788 :: 		if (odoStabLeft > odoStabRight) {
	MOVF       _odoStabLeft+1, 0
	SUBWF      _odoStabRight+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main259
	MOVF       _odoStabLeft+0, 0
	SUBWF      _odoStabRight+0, 0
L__main259:
	BTFSC      STATUS+0, 0
	GOTO       L_main184
;RBC.c,789 :: 		if (lastUpdatedMotor == 'A') {
	MOVF       _lastUpdatedMotor+0, 0
	XORLW      65
	BTFSS      STATUS+0, 2
	GOTO       L_main185
;RBC.c,790 :: 		if (MotorA_CurrentSpeed > MIN_SPEED) {
	MOVF       _MotorA_CurrentSpeed+0, 0
	SUBLW      195
	BTFSC      STATUS+0, 0
	GOTO       L_main186
;RBC.c,791 :: 		MotorA_CurrentSpeed -= UPD_STEP;
	MOVLW      2
	SUBWF      _MotorA_CurrentSpeed+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _MotorA_CurrentSpeed+0
;RBC.c,792 :: 		MotorA_ChangeSpeed(MotorA_CurrentSpeed);
	MOVF       R0+0, 0
	MOVWF      FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;RBC.c,793 :: 		} else {
	GOTO       L_main187
L_main186:
;RBC.c,794 :: 		if (MotorB_CurrentSpeed < MAX_SPEED) {
	MOVLW      255
	SUBWF      _MotorB_CurrentSpeed+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main188
;RBC.c,795 :: 		lastUpdatedMotor = 'B';
	MOVLW      66
	MOVWF      _lastUpdatedMotor+0
;RBC.c,796 :: 		MotorB_CurrentSpeed += UPD_STEP;
	MOVLW      2
	ADDWF      _MotorB_CurrentSpeed+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _MotorB_CurrentSpeed+0
;RBC.c,797 :: 		if (MotorB_CurrentSpeed < MIN_SPEED) {
	MOVLW      195
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main189
;RBC.c,798 :: 		MotorB_CurrentSpeed = MAX_SPEED;
	MOVLW      255
	MOVWF      _MotorB_CurrentSpeed+0
;RBC.c,799 :: 		}
L_main189:
;RBC.c,800 :: 		MotorB_ChangeSpeed(MotorB_CurrentSpeed);
	MOVF       _MotorB_CurrentSpeed+0, 0
	MOVWF      FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;RBC.c,801 :: 		} else {
	GOTO       L_main190
L_main188:
;RBC.c,802 :: 		lastUpdatedMotor = 'B';
	MOVLW      66
	MOVWF      _lastUpdatedMotor+0
;RBC.c,803 :: 		odoStabStatus = 1;
	MOVLW      1
	MOVWF      _odoStabStatus+0
;RBC.c,804 :: 		odoStabCounter = 0;
	CLRF       _odoStabCounter+0
;RBC.c,805 :: 		odoStabLeft = 0;
	CLRF       _odoStabLeft+0
	CLRF       _odoStabLeft+1
;RBC.c,806 :: 		odoStabRight = 0;
	CLRF       _odoStabRight+0
	CLRF       _odoStabRight+1
;RBC.c,807 :: 		}
L_main190:
;RBC.c,808 :: 		}
L_main187:
;RBC.c,809 :: 		} else {
	GOTO       L_main191
L_main185:
;RBC.c,810 :: 		if (MotorB_CurrentSpeed < MAX_SPEED) {
	MOVLW      255
	SUBWF      _MotorB_CurrentSpeed+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main192
;RBC.c,811 :: 		MotorB_CurrentSpeed += UPD_STEP;
	MOVLW      2
	ADDWF      _MotorB_CurrentSpeed+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _MotorB_CurrentSpeed+0
;RBC.c,812 :: 		if (MotorB_CurrentSpeed < MIN_SPEED) {
	MOVLW      195
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main193
;RBC.c,813 :: 		MotorB_CurrentSpeed = MAX_SPEED;
	MOVLW      255
	MOVWF      _MotorB_CurrentSpeed+0
;RBC.c,814 :: 		}
L_main193:
;RBC.c,815 :: 		MotorB_ChangeSpeed(MotorB_CurrentSpeed);
	MOVF       _MotorB_CurrentSpeed+0, 0
	MOVWF      FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;RBC.c,816 :: 		} else {
	GOTO       L_main194
L_main192:
;RBC.c,817 :: 		if (MotorA_CurrentSpeed > MIN_SPEED) {
	MOVF       _MotorA_CurrentSpeed+0, 0
	SUBLW      195
	BTFSC      STATUS+0, 0
	GOTO       L_main195
;RBC.c,818 :: 		lastUpdatedMotor = 'A';
	MOVLW      65
	MOVWF      _lastUpdatedMotor+0
;RBC.c,819 :: 		MotorA_CurrentSpeed -= UPD_STEP;
	MOVLW      2
	SUBWF      _MotorA_CurrentSpeed+0, 1
;RBC.c,820 :: 		MotorA_ChangeSpeed(MotorB_CurrentSpeed);
	MOVF       _MotorB_CurrentSpeed+0, 0
	MOVWF      FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;RBC.c,821 :: 		} else {
	GOTO       L_main196
L_main195:
;RBC.c,822 :: 		lastUpdatedMotor = 'A';
	MOVLW      65
	MOVWF      _lastUpdatedMotor+0
;RBC.c,823 :: 		odoStabStatus = 1;
	MOVLW      1
	MOVWF      _odoStabStatus+0
;RBC.c,824 :: 		odoStabCounter = 0;
	CLRF       _odoStabCounter+0
;RBC.c,825 :: 		odoStabLeft = 0;
	CLRF       _odoStabLeft+0
	CLRF       _odoStabLeft+1
;RBC.c,826 :: 		odoStabRight = 0;
	CLRF       _odoStabRight+0
	CLRF       _odoStabRight+1
;RBC.c,827 :: 		}
L_main196:
;RBC.c,828 :: 		}
L_main194:
;RBC.c,829 :: 		}
L_main191:
;RBC.c,830 :: 		} else {
	GOTO       L_main197
L_main184:
;RBC.c,831 :: 		if (lastUpdatedMotor == 'B') {
	MOVF       _lastUpdatedMotor+0, 0
	XORLW      66
	BTFSS      STATUS+0, 2
	GOTO       L_main198
;RBC.c,832 :: 		if (MotorB_CurrentSpeed > MIN_SPEED) {
	MOVF       _MotorB_CurrentSpeed+0, 0
	SUBLW      195
	BTFSC      STATUS+0, 0
	GOTO       L_main199
;RBC.c,833 :: 		MotorB_CurrentSpeed -= UPD_STEP;
	MOVLW      2
	SUBWF      _MotorB_CurrentSpeed+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _MotorB_CurrentSpeed+0
;RBC.c,834 :: 		MotorB_ChangeSpeed(MotorB_CurrentSpeed);
	MOVF       R0+0, 0
	MOVWF      FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;RBC.c,835 :: 		} else {
	GOTO       L_main200
L_main199:
;RBC.c,836 :: 		if (MotorA_CurrentSpeed < MAX_SPEED) {
	MOVLW      255
	SUBWF      _MotorA_CurrentSpeed+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main201
;RBC.c,837 :: 		lastUpdatedMotor = 'A';
	MOVLW      65
	MOVWF      _lastUpdatedMotor+0
;RBC.c,838 :: 		MotorA_CurrentSpeed += UPD_STEP;
	MOVLW      2
	ADDWF      _MotorA_CurrentSpeed+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _MotorA_CurrentSpeed+0
;RBC.c,839 :: 		if (MotorA_CurrentSpeed < MIN_SPEED) {
	MOVLW      195
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main202
;RBC.c,840 :: 		MotorA_CurrentSpeed = MAX_SPEED;
	MOVLW      255
	MOVWF      _MotorA_CurrentSpeed+0
;RBC.c,841 :: 		}
L_main202:
;RBC.c,842 :: 		MotorA_ChangeSpeed(MotorA_CurrentSpeed);
	MOVF       _MotorA_CurrentSpeed+0, 0
	MOVWF      FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;RBC.c,843 :: 		} else {
	GOTO       L_main203
L_main201:
;RBC.c,844 :: 		lastUpdatedMotor = 'A';
	MOVLW      65
	MOVWF      _lastUpdatedMotor+0
;RBC.c,845 :: 		odoStabStatus = 1;
	MOVLW      1
	MOVWF      _odoStabStatus+0
;RBC.c,846 :: 		odoStabCounter = 0;
	CLRF       _odoStabCounter+0
;RBC.c,847 :: 		odoStabLeft = 0;
	CLRF       _odoStabLeft+0
	CLRF       _odoStabLeft+1
;RBC.c,848 :: 		odoStabRight = 0;
	CLRF       _odoStabRight+0
	CLRF       _odoStabRight+1
;RBC.c,849 :: 		}
L_main203:
;RBC.c,850 :: 		}
L_main200:
;RBC.c,851 :: 		} else {
	GOTO       L_main204
L_main198:
;RBC.c,852 :: 		if (MotorA_CurrentSpeed < MAX_SPEED) {
	MOVLW      255
	SUBWF      _MotorA_CurrentSpeed+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main205
;RBC.c,853 :: 		MotorA_CurrentSpeed += UPD_STEP;
	MOVLW      2
	ADDWF      _MotorA_CurrentSpeed+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _MotorA_CurrentSpeed+0
;RBC.c,854 :: 		if (MotorA_CurrentSpeed < MIN_SPEED) {
	MOVLW      195
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main206
;RBC.c,855 :: 		MotorA_CurrentSpeed = MAX_SPEED;
	MOVLW      255
	MOVWF      _MotorA_CurrentSpeed+0
;RBC.c,856 :: 		}
L_main206:
;RBC.c,857 :: 		MotorA_ChangeSpeed(MotorA_CurrentSpeed);
	MOVF       _MotorA_CurrentSpeed+0, 0
	MOVWF      FARG_MotorA_ChangeSpeed_NewSpeed+0
	CALL       _MotorA_ChangeSpeed+0
;RBC.c,858 :: 		} else {
	GOTO       L_main207
L_main205:
;RBC.c,859 :: 		if (MotorB_CurrentSpeed > MIN_SPEED) {
	MOVF       _MotorB_CurrentSpeed+0, 0
	SUBLW      195
	BTFSC      STATUS+0, 0
	GOTO       L_main208
;RBC.c,860 :: 		lastUpdatedMotor = 'B';
	MOVLW      66
	MOVWF      _lastUpdatedMotor+0
;RBC.c,861 :: 		MotorB_CurrentSpeed -= UPD_STEP;
	MOVLW      2
	SUBWF      _MotorB_CurrentSpeed+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _MotorB_CurrentSpeed+0
;RBC.c,862 :: 		MotorB_ChangeSpeed(MotorB_CurrentSpeed);
	MOVF       R0+0, 0
	MOVWF      FARG_MotorB_ChangeSpeed_NewSpeed+0
	CALL       _MotorB_ChangeSpeed+0
;RBC.c,863 :: 		} else {
	GOTO       L_main209
L_main208:
;RBC.c,864 :: 		lastUpdatedMotor = 'B';
	MOVLW      66
	MOVWF      _lastUpdatedMotor+0
;RBC.c,865 :: 		odoStabStatus = 1;
	MOVLW      1
	MOVWF      _odoStabStatus+0
;RBC.c,866 :: 		odoStabCounter = 0;
	CLRF       _odoStabCounter+0
;RBC.c,867 :: 		odoStabLeft = 0;
	CLRF       _odoStabLeft+0
	CLRF       _odoStabLeft+1
;RBC.c,868 :: 		odoStabRight = 0;
	CLRF       _odoStabRight+0
	CLRF       _odoStabRight+1
;RBC.c,869 :: 		}
L_main209:
;RBC.c,870 :: 		}
L_main207:
;RBC.c,871 :: 		}
L_main204:
;RBC.c,872 :: 		}
L_main197:
;RBC.c,873 :: 		odoStabStatus = 4;
	MOVLW      4
	MOVWF      _odoStabStatus+0
;RBC.c,874 :: 		break;
	GOTO       L_main177
;RBC.c,875 :: 		case 4:
L_main210:
;RBC.c,876 :: 		odoStabStatus = 1;
	MOVLW      1
	MOVWF      _odoStabStatus+0
;RBC.c,877 :: 		odoStabCounter = 0;
	CLRF       _odoStabCounter+0
;RBC.c,878 :: 		odoStabLeft = 0;
	CLRF       _odoStabLeft+0
	CLRF       _odoStabLeft+1
;RBC.c,879 :: 		odoStabRight = 0;
	CLRF       _odoStabRight+0
	CLRF       _odoStabRight+1
;RBC.c,880 :: 		break;
	GOTO       L_main177
;RBC.c,881 :: 		}
L_main176:
	MOVF       _odoStabStatus+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_main178
	MOVF       _odoStabStatus+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_main179
	MOVF       _odoStabStatus+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_main180
	MOVF       _odoStabStatus+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_main183
	MOVF       _odoStabStatus+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_main210
L_main177:
;RBC.c,884 :: 		switch (RobotStatus) {
	GOTO       L_main211
;RBC.c,885 :: 		case 1:                                                        //  
L_main213:
;RBC.c,886 :: 		case 5:                                                        //  
L_main214:
;RBC.c,887 :: 		case 6:                                                        //  
L_main215:
;RBC.c,888 :: 		if (Dst <= 6) {                                         //   < 6 ,   
	MOVF       _Dst+0, 0
	SUBLW      6
	BTFSS      STATUS+0, 0
	GOTO       L_main216
;RBC.c,889 :: 		RobotStatus = 7;
	MOVLW      7
	MOVWF      _RobotStatus+0
;RBC.c,890 :: 		}
L_main216:
;RBC.c,891 :: 		break;
	GOTO       L_main212
;RBC.c,892 :: 		case 7:
L_main217:
;RBC.c,893 :: 		Stop();                                                 //  
	CALL       _Stop+0
;RBC.c,894 :: 		RobotStatus = 8;
	MOVLW      8
	MOVWF      _RobotStatus+0
;RBC.c,895 :: 		break;
	GOTO       L_main212
;RBC.c,896 :: 		case 8:
L_main218:
;RBC.c,897 :: 		Backward(MotorA_CurrentSpeed, MotorB_CurrentSpeed);     //  
	MOVF       _MotorA_CurrentSpeed+0, 0
	MOVWF      FARG_Backward_MotorA_Speed+0
	MOVF       _MotorB_CurrentSpeed+0, 0
	MOVWF      FARG_Backward_MotorB_Speed+0
	CALL       _Backward+0
;RBC.c,898 :: 		genetalCntTmp = generalCnt;                             //    
	MOVF       _generalCnt+0, 0
	MOVWF      _genetalCntTmp+0
	MOVF       _generalCnt+1, 0
	MOVWF      _genetalCntTmp+1
;RBC.c,899 :: 		sec = 0;
	CLRF       _sec+0
;RBC.c,900 :: 		RobotStatus = 9;
	MOVLW      9
	MOVWF      _RobotStatus+0
;RBC.c,901 :: 		break;
	GOTO       L_main212
;RBC.c,902 :: 		case 9:
L_main219:
;RBC.c,903 :: 		if (generalCnt - genetalCntTmp > 18) {                  //    18 ,  
	MOVF       _genetalCntTmp+0, 0
	SUBWF      _generalCnt+0, 0
	MOVWF      R1+0
	MOVF       _genetalCntTmp+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      _generalCnt+1, 0
	MOVWF      R1+1
	MOVF       R1+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main260
	MOVF       R1+0, 0
	SUBLW      18
L__main260:
	BTFSC      STATUS+0, 0
	GOTO       L_main220
;RBC.c,904 :: 		RobotStatus = 10;
	MOVLW      10
	MOVWF      _RobotStatus+0
;RBC.c,905 :: 		}
L_main220:
;RBC.c,906 :: 		break;
	GOTO       L_main212
;RBC.c,907 :: 		case 10:
L_main221:
;RBC.c,908 :: 		SwingLeft(MotorA_CurrentSpeed, MotorB_CurrentSpeed);   //  
	MOVF       _MotorA_CurrentSpeed+0, 0
	MOVWF      FARG_SwingLeft_MotorA_Speed+0
	MOVF       _MotorB_CurrentSpeed+0, 0
	MOVWF      FARG_SwingLeft_MotorB_Speed+0
	CALL       _SwingLeft+0
;RBC.c,909 :: 		genetalCntTmp = generalCnt;                            //    
	MOVF       _generalCnt+0, 0
	MOVWF      _genetalCntTmp+0
	MOVF       _generalCnt+1, 0
	MOVWF      _genetalCntTmp+1
;RBC.c,910 :: 		RobotStatus = 11;
	MOVLW      11
	MOVWF      _RobotStatus+0
;RBC.c,911 :: 		break;
	GOTO       L_main212
;RBC.c,912 :: 		case 11:
L_main222:
;RBC.c,913 :: 		if (generalCnt - genetalCntTmp > 10) {                 //   11 ,    
	MOVF       _genetalCntTmp+0, 0
	SUBWF      _generalCnt+0, 0
	MOVWF      R1+0
	MOVF       _genetalCntTmp+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      _generalCnt+1, 0
	MOVWF      R1+1
	MOVF       R1+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main261
	MOVF       R1+0, 0
	SUBLW      10
L__main261:
	BTFSC      STATUS+0, 0
	GOTO       L_main223
;RBC.c,914 :: 		RobotStatus = 12;                                   //  90 
	MOVLW      12
	MOVWF      _RobotStatus+0
;RBC.c,915 :: 		}
L_main223:
;RBC.c,916 :: 		break;
	GOTO       L_main212
;RBC.c,917 :: 		case 12:
L_main224:
;RBC.c,918 :: 		Forward(MotorA_CurrentSpeed, MotorB_CurrentSpeed);    //   
	MOVF       _MotorA_CurrentSpeed+0, 0
	MOVWF      FARG_Forward_MotorA_Speed+0
	MOVF       _MotorB_CurrentSpeed+0, 0
	MOVWF      FARG_Forward_MotorB_Speed+0
	CALL       _Forward+0
;RBC.c,919 :: 		RobotStatus = 1;
	MOVLW      1
	MOVWF      _RobotStatus+0
;RBC.c,920 :: 		break;
	GOTO       L_main212
;RBC.c,921 :: 		}
L_main211:
	MOVF       _RobotStatus+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_main213
	MOVF       _RobotStatus+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_main214
	MOVF       _RobotStatus+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_main215
	MOVF       _RobotStatus+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_main217
	MOVF       _RobotStatus+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L_main218
	MOVF       _RobotStatus+0, 0
	XORLW      9
	BTFSC      STATUS+0, 2
	GOTO       L_main219
	MOVF       _RobotStatus+0, 0
	XORLW      10
	BTFSC      STATUS+0, 2
	GOTO       L_main221
	MOVF       _RobotStatus+0, 0
	XORLW      11
	BTFSC      STATUS+0, 2
	GOTO       L_main222
	MOVF       _RobotStatus+0, 0
	XORLW      12
	BTFSC      STATUS+0, 2
	GOTO       L_main224
L_main212:
;RBC.c,923 :: 		if (CmdOutFlag == 1) {                                         //       USART,
	MOVF       _CmdOutFlag+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main225
;RBC.c,924 :: 		CmdOutFlag = 0;                                             //   
	CLRF       _CmdOutFlag+0
;RBC.c,925 :: 		UART1_Write_Text(CmdOut);
	MOVF       _CmdOut+0, 0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;RBC.c,926 :: 		}
L_main225:
;RBC.c,929 :: 		switch(LCDDisplayScreen) {
	GOTO       L_main226
;RBC.c,930 :: 		case 0:
L_main228:
;RBC.c,931 :: 		if (ERR.RX_FERR) {                                     //     USART
	BTFSS      _ERR+0, 0
	GOTO       L_main229
;RBC.c,932 :: 		Lcd_Out(2, 16, "F");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      16
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr19_RBC+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,933 :: 		}
L_main229:
;RBC.c,934 :: 		if (ERR.RX_OERR) {
	BTFSS      _ERR+0, 1
	GOTO       L_main230
;RBC.c,935 :: 		Lcd_Out(2, 15, "E");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr20_RBC+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,936 :: 		}
L_main230:
;RBC.c,938 :: 		ByteToStr(Dst, txt_byte);                               //   
	MOVF       _Dst+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _txt_byte+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;RBC.c,939 :: 		Lcd_Out(1, 2, txt_byte);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt_byte+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,940 :: 		Lcd_Out(1, 1, "D:");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr21_RBC+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,941 :: 		Lcd_Out(1, 6, "C:");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      6
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr22_RBC+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,942 :: 		Lcd_Out(2, 1, "L:");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr23_RBC+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,943 :: 		Lcd_Out(2, 9, "R:");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      9
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr24_RBC+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,945 :: 		IntToStr(leftCnt, txt_int);                             //  
	MOVF       _leftCnt+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _leftCnt+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _txt_int+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;RBC.c,946 :: 		Lcd_Out(2, 3, txt_int);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      3
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt_int+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,948 :: 		IntToStr(rightCnt, txt_int);                            //  
	MOVF       _rightCnt+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _rightCnt+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _txt_int+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;RBC.c,949 :: 		Lcd_Out(2, 11, txt_int);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt_int+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,956 :: 		IntToStr(generalCnt, txt_int);                          //  
	MOVF       _generalCnt+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _generalCnt+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _txt_int+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;RBC.c,957 :: 		Lcd_Out(1, 8, txt_int);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt_int+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,958 :: 		break;
	GOTO       L_main227
;RBC.c,959 :: 		case 1:
L_main231:
;RBC.c,960 :: 		IntToStr(azimuth_cmps, txt_int);                        //    
	MOVF       _azimuth_cmps+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _azimuth_cmps+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _txt_int+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;RBC.c,961 :: 		Lcd_Out(1, 1, "C:");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr25_RBC+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,962 :: 		Lcd_Out(1, 6, txt_int);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      6
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt_int+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,964 :: 		ByteToStr(MotorA_CurrentSpeed, txt_byte);               //    A
	MOVF       _MotorA_CurrentSpeed+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _txt_byte+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;RBC.c,965 :: 		Lcd_Out(2, 3, txt_byte);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      3
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt_byte+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,966 :: 		Lcd_Out(2, 1, "A:");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr26_RBC+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,968 :: 		ByteToStr(MotorB_CurrentSpeed, txt_byte);               //    B
	MOVF       _MotorB_CurrentSpeed+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _txt_byte+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;RBC.c,969 :: 		Lcd_Out(2, 10, txt_byte);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt_byte+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,970 :: 		Lcd_Out(2, 8, "B:");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr27_RBC+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RBC.c,972 :: 		break;
	GOTO       L_main227
;RBC.c,973 :: 		case 2:
L_main232:
;RBC.c,974 :: 		break;
	GOTO       L_main227
;RBC.c,975 :: 		}
L_main226:
	MOVF       _LCDDisplayScreen+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_main228
	MOVF       _LCDDisplayScreen+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_main231
	MOVF       _LCDDisplayScreen+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_main232
L_main227:
;RBC.c,976 :: 		}
	GOTO       L_main114
;RBC.c,977 :: 		}
	GOTO       $+0
; end of _main
